#line 1 "src/intel/compiler/brw_lex.yy.c"

#line 3 "src/intel/compiler/brw_lex.yy.c"

#define  YY_INT_ALIGNED short int

/* A lexical scanner generated by flex */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 6
#define YY_FLEX_SUBMINOR_VERSION 4
#if YY_FLEX_SUBMINOR_VERSION > 0
#define FLEX_BETA
#endif

/* First, we deal with  platform-specific or compiler-specific issues. */

/* begin standard C headers. */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

/* end standard C headers. */

/* flex integer type definitions */

#ifndef FLEXINT_H
#define FLEXINT_H

/* C99 systems have <inttypes.h>. Non-C99 systems may or may not. */

#if defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L

/* C99 says to define __STDC_LIMIT_MACROS before including stdint.h,
 * if you want the limit (max/min) macros for int types. 
 */
#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS 1
#endif

#include <inttypes.h>
typedef int8_t flex_int8_t;
typedef uint8_t flex_uint8_t;
typedef int16_t flex_int16_t;
typedef uint16_t flex_uint16_t;
typedef int32_t flex_int32_t;
typedef uint32_t flex_uint32_t;
#else
typedef signed char flex_int8_t;
typedef short int flex_int16_t;
typedef int flex_int32_t;
typedef unsigned char flex_uint8_t; 
typedef unsigned short int flex_uint16_t;
typedef unsigned int flex_uint32_t;

/* Limits of integral types. */
#ifndef INT8_MIN
#define INT8_MIN               (-128)
#endif
#ifndef INT16_MIN
#define INT16_MIN              (-32767-1)
#endif
#ifndef INT32_MIN
#define INT32_MIN              (-2147483647-1)
#endif
#ifndef INT8_MAX
#define INT8_MAX               (127)
#endif
#ifndef INT16_MAX
#define INT16_MAX              (32767)
#endif
#ifndef INT32_MAX
#define INT32_MAX              (2147483647)
#endif
#ifndef UINT8_MAX
#define UINT8_MAX              (255U)
#endif
#ifndef UINT16_MAX
#define UINT16_MAX             (65535U)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX             (4294967295U)
#endif

#ifndef SIZE_MAX
#define SIZE_MAX               (~(size_t)0)
#endif

#endif /* ! C99 */

#endif /* ! FLEXINT_H */

/* begin standard C++ headers. */

/* TODO: this is always defined, so inline it */
#define yyconst const

#if defined(__GNUC__) && __GNUC__ >= 3
#define yynoreturn __attribute__((__noreturn__))
#else
#define yynoreturn
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an
 *   integer in range [0..255] for use as an array index.
 */
#define YY_SC_TO_UI(c) ((YY_CHAR) (c))

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN (yy_start) = 1 + 2 *
/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START (((yy_start) - 1) / 2)
#define YYSTATE YY_START
/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin  )
#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#ifndef YY_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k.
 * Moreover, YY_BUF_SIZE is 2*YY_READ_BUF_SIZE in the general case.
 * Ditto for the __ia64__ case accordingly.
 */
#define YY_BUF_SIZE 32768
#else
#define YY_BUF_SIZE 16384
#endif /* __ia64__ */
#endif

/* The state buf must be large enough to hold one state per character in the main buffer.
 */
#define YY_STATE_BUF_SIZE   ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

#ifndef YY_TYPEDEF_YY_BUFFER_STATE
#define YY_TYPEDEF_YY_BUFFER_STATE
typedef struct yy_buffer_state *YY_BUFFER_STATE;
#endif

#ifndef YY_TYPEDEF_YY_SIZE_T
#define YY_TYPEDEF_YY_SIZE_T
typedef size_t yy_size_t;
#endif

extern int yyleng;

extern FILE *yyin, *yyout;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2
    
    /* Note: We specifically omit the test for yy_rule_can_match_eol because it requires
     *       access to the local variable yy_act. Since yyless() is a macro, it would break
     *       existing scanners that call yyless() from OUTSIDE yylex.
     *       One obvious solution it to make yy_act a global. I tried that, and saw
     *       a 5% performance hit in a non-yylineno scanner, because yy_act is
     *       normally declared as a register variable-- so it is not worth it.
     */
    #define  YY_LESS_LINENO(n) \
            do { \
                int yyl;\
                for ( yyl = n; yyl < yyleng; ++yyl )\
                    if ( yytext[yyl] == '\n' )\
                        --yylineno;\
            }while(0)
    #define YY_LINENO_REWIND_TO(dst) \
            do {\
                const char *p;\
                for ( p = yy_cp-1; p >= (dst); --p)\
                    if ( *p == '\n' )\
                        --yylineno;\
            }while(0)
    
/* Return all but the first "n" matched characters back to the input stream. */
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		*yy_cp = (yy_hold_char); \
		YY_RESTORE_YY_MORE_OFFSET \
		(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )
#define unput(c) yyunput( c, (yytext_ptr)  )

#ifndef YY_STRUCT_YY_BUFFER_STATE
#define YY_STRUCT_YY_BUFFER_STATE
struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	int yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

    int yy_bs_lineno; /**< The line count. */
    int yy_bs_column; /**< The column count. */

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;

#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2

	};
#endif /* !YY_STRUCT_YY_BUFFER_STATE */

/* Stack of input buffers. */
static size_t yy_buffer_stack_top = 0; /**< index of top of stack. */
static size_t yy_buffer_stack_max = 0; /**< capacity of stack. */
static YY_BUFFER_STATE * yy_buffer_stack = NULL; /**< Stack as an array. */

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 *
 * Returns the top of the stack, or NULL.
 */
#define YY_CURRENT_BUFFER ( (yy_buffer_stack) \
                          ? (yy_buffer_stack)[(yy_buffer_stack_top)] \
                          : NULL)
/* Same as previous macro, but useful when we know that the buffer stack is not
 * NULL or when we need an lvalue. For internal use only.
 */
#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

/* yy_hold_char holds the character lost when yytext is formed. */
static char yy_hold_char;
static int yy_n_chars;		/* number of characters read into yy_ch_buf */
int yyleng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = NULL;
static int yy_init = 0;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

void yyrestart ( FILE *input_file  );
void yy_switch_to_buffer ( YY_BUFFER_STATE new_buffer  );
YY_BUFFER_STATE yy_create_buffer ( FILE *file, int size  );
void yy_delete_buffer ( YY_BUFFER_STATE b  );
void yy_flush_buffer ( YY_BUFFER_STATE b  );
void yypush_buffer_state ( YY_BUFFER_STATE new_buffer  );
void yypop_buffer_state ( void );

static void yyensure_buffer_stack ( void );
static void yy_load_buffer_state ( void );
static void yy_init_buffer ( YY_BUFFER_STATE b, FILE *file  );
#define YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )

YY_BUFFER_STATE yy_scan_buffer ( char *base, yy_size_t size  );
YY_BUFFER_STATE yy_scan_string ( const char *yy_str  );
YY_BUFFER_STATE yy_scan_bytes ( const char *bytes, int len  );

void *yyalloc ( yy_size_t  );
void *yyrealloc ( void *, yy_size_t  );
void yyfree ( void *  );

#define yy_new_buffer yy_create_buffer
#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){ \
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
	}
#define yy_set_bol(at_bol) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){\
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
	}
#define YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

/* Begin user sect3 */
typedef flex_uint8_t YY_CHAR;

FILE *yyin = NULL, *yyout = NULL;

typedef int yy_state_type;

extern int yylineno;
int yylineno = 1;

extern char *yytext;
#ifdef yytext_ptr
#undef yytext_ptr
#endif
#define yytext_ptr yytext

static yy_state_type yy_get_previous_state ( void );
static yy_state_type yy_try_NUL_trans ( yy_state_type current_state  );
static int yy_get_next_buffer ( void );
static void yynoreturn yy_fatal_error ( const char* msg  );

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	(yytext_ptr) = yy_bp; \
	yyleng = (int) (yy_cp - yy_bp); \
	(yy_hold_char) = *yy_cp; \
	*yy_cp = '\0'; \
	(yy_c_buf_p) = yy_cp;
#define YY_NUM_RULES 257
#define YY_END_OF_BUFFER 258
/* This struct is not used in this scanner,
   but its presence is necessary. */
struct yy_trans_info
	{
	flex_int32_t yy_verify;
	flex_int32_t yy_nxt;
	};
static const flex_int16_t yy_accept[615] =
    {   0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,  258,  256,  231,  255,
      251,  116,  117,  126,  124,  127,  125,  256,  241,  241,
      241,  241,  241,  241,  241,  241,  241,  241,  115,  114,
      122,  123,  256,  256,  189,  256,  191,  256,  193,  256,
      256,  256,  256,  256,  256,  195,  256,  256,  201,  203,
      120,  121,  256,  256,  256,  256,  256,  256,  216,  256,
      256,  256,  256,  256,  256,  256,  256,  216,  256,  256,
      256,  256,  256,  118,  119,  128,    4,    5,    4,    4,
      257,  257,  160,  159,  158,  157,  154,  155,  156,  143,

      134,  135,  132,  136,  131,  133,  142,  141,  140,  137,
      138,  139,  243,  238,  239,  236,  235,  238,  238,  237,
      231,    0,  251,    0,    0,  218,  219,  221,    0,  225,
      226,    0,  227,  228,    2,    0,  241,    0,  177,  181,
      182,  178,  183,  179,  184,  180,  185,  186,  187,  188,
      189,  191,  193,    0,  195,    0,  201,  203,  244,    0,
      242,    0,    0,  190,    0,  192,    0,    0,  194,    0,
        0,    0,    0,    0,    0,    0,  196,  197,    0,  199,
      200,  198,  202,    0,    0,  204,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,

        0,    0,    0,   28,    0,    0,    0,    0,  208,    0,
        0,    0,    0,  208,  215,    0,    0,    0,    0,    0,
       42,    0,    0,  212,    0,    0,    0,    0,    0,    0,
        0,    0,    0,  211,    0,    0,   58,  105,    0,    0,
        0,    0,    0,    0,    0,  209,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    3,    0,    0,  158,
      132,  141,  243,  236,    0,    0,    0,    0,    0,    0,
        0,  220,  222,  223,  224,    0,    0,    1,    1,  240,
      190,  192,  194,  196,  197,  199,  200,  198,  202,  248,

        0,    0,  152,  245,  246,    0,  247,  249,    0,    0,
      250,    0,  130,    0,    0,    8,    0,    0,   11,   12,
        0,   13,   98,   14,    0,    0,   18,   19,    0,    0,
        0,  206,   24,    0,    0,   81,  207,    0,   29,   30,
       31,    0,   34,    0,    0,   82,   37,   38,    0,    0,
       39,    0,    0,    0,    0,    0,    0,    0,   84,    0,
        0,    0,   89,   47,   48,   49,   51,    0,    0,   53,
       55,    0,   56,   57,    0,   59,   90,    0,   60,    0,
       65,   66,   91,    0,    0,   67,    0,   72,   73,   93,
      111,    0,    0,  210,    0,    0,    0,    0,  112,  214,

        0,  113,  110,    0,    0,   78,    6,    0,    0,    0,
        0,    0,    0,    0,  254,  173,  240,    0,    0,  242,
        0,    0,  242,    0,  205,    9,   10,    0,    0,    0,
        0,   15,   16,    0,    0,   21,   23,   25,    0,   26,
       27,   32,   33,   35,    0,   83,    0,    0,   40,   41,
      101,  102,  103,  242,   99,    0,    0,    0,   85,   45,
       44,   46,   50,   52,    0,   80,   54,    0,    7,    0,
       61,   62,   63,   64,    0,    0,    0,   68,   74,   94,
       75,    0,   79,  213,    0,   76,    0,    0,    0,    0,
        0,  253,  252,  129,  254,    0,    0,  229,    0,    0,

      230,    0,    0,   95,   96,    0,   17,   20,   22,    0,
       36,   97,    0,    0,    0,    0,    0,  217,    0,    0,
        0,    0,    0,   69,   70,    0,    0,   77,    0,    0,
        0,    0,    0,  162,    0,    0,    0,    0,    0,  161,
        0,    0,    0,    0,    0,    0,    0,  147,  144,  174,
        0,    0,    0,  104,    0,   86,   88,  153,  106,   92,
        0,    0,   71,  175,  109,    0,  164,    0,  166,  168,
        0,  163,    0,  165,  167,  233,    0,    0,    0,    0,
      151,  150,  145,    0,    0,  100,   43,    0,    0,  108,
      170,  172,  169,  171,    0,    0,    0,  242,    0,    0,

        0,  107,  234,    0,    0,  232,    0,  148,   87,    0,
      176,  149,  146,    0
    } ;

static const YY_CHAR yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    1,    4,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    5,    1,    6,    1,    7,    1,    1,    1,    8,
        9,   10,   11,   12,   13,   14,   15,   16,   17,   18,
       19,   20,   21,   22,   23,   24,   25,   26,   27,   28,
       29,   30,    1,   31,   32,   33,   34,   35,   36,   37,
       38,   39,   40,   41,   38,   42,   43,   44,   45,   46,
       47,   38,   48,   49,   50,   51,   52,   38,   38,   38,
       53,    1,   54,    1,   55,    1,   56,   57,   58,   59,

       60,   61,   62,   63,   64,   65,   66,   67,   68,   69,
       70,   71,   72,   73,   74,   75,   76,   77,   78,   79,
       80,   81,   82,   83,   84,   85,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1
    } ;

static const YY_CHAR yy_meta[86] =
    {   0,
        1,    1,    1,    1,    1,    2,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    4,    1,    1,    1,    1,
        4,    5,    5,    5,    5,    5,    5,    5,    6,    5,
        5,    5,    5,    6,    5,    5,    6,    5,    5,    5,
        5,    5,    1,    1,    5,    7,    7,    7,    7,    7,
        7,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    1,    1,    1,    1
    } ;

static const flex_int16_t yy_base[628] =
    {   0,
        0,    0,   83,   85,  811,  808,   93,  172,  251,  279,
      307,  386,  467,    0,  550,  630,  790, 2085,   89, 2085,
      105,  719, 2085, 2085, 2085, 2085,  696,   82,  119,   59,
       61,  132,  183,  143,  193,  222,  295,  324,  317, 2085,
     2085, 2085,  202,   73,  339,  151,  257,  203,  152,  329,
      154,  331,  200,  231,  307,  202,  229,  387,  347,  254,
     2085, 2085,  366,  388,  528,  529,  550,  561,  762,  604,
      597,  390,  605,  611,  654,  261,  612,  376,  817,  663,
      369,  327,  367, 2085, 2085, 2085, 2085, 2085, 2085,  759,
     2085,    0, 2085,  701,  722, 2085, 2085, 2085, 2085, 2085,

     2085, 2085,  778, 2085, 2085, 2085, 2085,  788, 2085, 2085,
     2085, 2085,    0, 2085, 2085,  803, 2085,  656,  660, 2085,
      179,   73,  833,  669,  843, 2085,  642,  633,  175, 2085,
     2085,  636, 2085, 2085, 2085,   98,  882,    0, 2085, 2085,
     2085, 2085, 2085, 2085, 2085, 2085, 2085, 2085, 2085, 2085,
      654,  647, 2085,  636, 2085,  328,  635, 2085, 2085,  233,
     2085,  586,  365,  258,  530,  368,  531,  678,  421,  688,
      631,  731,  817,  532,  422,  891,  428,  564,  657,  585,
      596,  614,  630,  697,  736,  701,  703,  733,  815,  857,
      742,  845,  861,  844,  860,  895,  899,  901,  903,  745,

      905,  912,  729,  843,  921,  911,  919,  918,  920,  930,
      931,  932,  933, 2085,   64,  941,  944,  945,  955,  956,
      957,  968,  972,  974,  980,  976,  983,  984,  991,  994,
      997,  998, 1000, 1001, 1008, 1007, 1010, 1011, 1017, 1019,
     1032, 1028, 1035, 1034, 1059, 1042, 1051, 1058, 1062, 1065,
     1068, 1069, 1072, 1130, 1083, 1079, 1089, 1086, 1092, 1095,
     1107, 1106, 1131, 1137, 1138, 1139, 2085,  665,  268, 1159,
     1173, 1197,    0, 1207,  610,  583,  565,  553,  551, 1217,
     1186, 2085, 2085, 2085, 2085,  540,  142, 2085,  166,    0,
     2085, 2085, 2085, 2085, 2085, 2085, 2085, 2085, 2085, 2085,

     1217, 1218, 1140, 2085, 2085, 1141, 2085, 2085, 1219, 1220,
     2085, 1221, 1227, 1230, 1254, 1262, 1233, 1231, 1234, 1237,
     1254, 1258, 1266, 1268, 1284, 1272, 1274, 1280, 1281, 1282,
     1288, 1290, 1292, 1298, 1299, 1300, 1302, 1308, 1309, 1310,
     1312, 1316, 1319, 1320, 1322, 1326, 1328, 1329, 1336, 1339,
     1340, 1346, 1347, 1350, 1367, 1356, 1363, 1365, 1369, 1376,
     1373, 1379, 1377, 1383, 1385, 1389, 1395, 1396, 1403, 1404,
     1410, 1417, 1418, 1419, 1420, 1427, 1428, 1429, 1430, 1438,
     1439, 1441, 1445,  558, 1449, 1448, 1451, 1452, 1455, 1458,
     1459, 1465, 1468,    0, 1469, 1475, 1476, 1477, 1478, 1485,

      556, 1486, 1496, 1497, 1498, 1499, 2085,  545,  517,  536,
      574,  514,  525,  573, 1535, 2085,    0, 1505, 1506,  560,
     1507, 1513,  559, 1509, 1563, 1515, 1535, 1537, 1543, 1544,
     1563, 1564, 1565, 1566, 1567, 1573, 1574, 1577, 1581, 1583,
     1584, 1585, 1587, 1593, 1594, 1595, 1597, 1604, 1605, 1608,
     1614, 1615, 1616,  390, 1618, 1622, 1625, 1628, 1632, 1634,
     1635, 1636, 1638, 1642, 1683, 1644, 1645, 1646, 1648, 1652,
     1654, 1655, 1661, 1662, 1664,  404, 1665, 1683, 1684, 1685,
     1687, 1691, 1693, 1695,  381, 1697, 1699, 1716, 1726,  381,
      375, 2085, 2085, 2085, 1744, 1711, 1722, 2085, 1725, 1744,

     2085, 1745, 1755, 1747, 1748, 1751, 1757, 1758, 1761, 1764,
     1765, 1771, 1774,  359, 1775, 1782, 1784, 1816, 1788, 1790,
     1792,  370, 1816, 1794, 1819, 1818,  358, 1820,  393,  338,
      363,  311,  309, 2085,  337,  288,  318,  259,  258, 2085,
      238,  219, 1822, 1830, 1826, 1836, 1839, 1840, 1847, 1848,
     1849, 1856, 1857, 2085, 1859, 1866, 1863, 1867, 1869, 1870,
      217, 1873, 1877, 1879, 2085,  198, 2085,  195, 2085, 2085,
      186, 2085,  173, 2085, 2085, 2085,  172, 1880, 1883, 1887,
     1889, 1890, 1891, 1897, 1899, 1898, 1901, 1907,   91, 1909,
     2085, 2085, 2085, 2085,   64, 1913, 1916,   85, 1917, 1919,

     1923, 2085, 2085, 1925, 1926, 2085, 1929, 1936, 1937, 1938,
     1940, 1948, 1949, 2085, 2004, 2011, 2018, 2025, 2032, 2039,
     2044, 2048, 2055, 2060, 2067, 2072, 2077
    } ;

static const flex_int16_t yy_def[628] =
    {   0,
      614,    1,  615,  615,  616,  616,  617,  617,  618,  618,
      619,  619,  614,   13,  620,  620,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  621,
      621,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      614,  614,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,   69,  622,  622,
      622,  622,  622,  614,  614,  614,  614,  614,  614,  614,
      614,  623,  614,  614,  614,  614,  614,  614,  614,  614,

      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  624,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  625,  614,  626,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  622,
      614,  614,  622,  622,  622,  622,  622,  614,  622,  614,
      622,  614,  614,  622,  622,  614,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,

      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  614,   69,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  614,  623,  614,  614,
      614,  614,  624,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  625,  614,  625,  627,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,

      622,  622,  622,  614,  614,  622,  614,  614,  622,  622,
      614,  622,  622,  622,  254,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  614,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  254,  622,  622,  622,  622,  622,  622,

      614,  622,  622,  622,  622,  622,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  627,  622,  622,  614,
      622,  622,  614,  622,  254,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  614,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  254,  622,  622,  622,  622,  622,
      622,  622,  622,  622,  622,  614,  622,  622,  622,  622,
      622,  622,  622,  622,  614,  622,  622,  614,  614,  614,
      614,  614,  614,  614,  614,  622,  622,  614,  622,  622,

      614,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  614,  622,  622,  622,  254,  622,  622,
      622,  614,  622,  622,  622,  622,  614,  622,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  622,  614,  622,  622,  622,  622,  622,  622,
      614,  622,  622,  622,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  622,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  614,  622,
      614,  614,  614,  614,  614,  622,  622,  614,  622,  622,

      622,  614,  614,  622,  622,  614,  622,  622,  622,  622,
      622,  622,  622,    0,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614
    } ;

static const flex_int16_t yy_nxt[2171] =
    {   0,
       18,   19,   20,   18,   19,   18,   21,   22,   23,   18,
       24,   25,   26,   27,   28,   29,   30,   31,   32,   33,
       34,   35,   36,   37,   38,   39,   40,   41,   18,   42,
       43,   44,   45,   46,   47,   48,   49,   46,   50,   51,
       52,   53,   54,   55,   46,   46,   56,   57,   46,   58,
       59,   60,   61,   62,   46,   63,   64,   65,   66,   67,
       68,   69,   70,   71,   72,   46,   73,   74,   75,   76,
       77,   46,   78,   79,   80,   81,   46,   82,   83,   46,
       46,   84,   18,   85,   86,   88,   89,   88,   89,  606,
      121,  135,   90,  121,   90,   91,  136,  139,  161,  140,

      288,  289,  139,  162,  141,  139,   94,  142,   95,   95,
       95,   95,   95,   95,   95,   95,   95,   95,  122,  160,
      123,  123,  123,  123,  123,  123,  123,  123,  123,  123,
      163,  277,  603,  160,  137,  137,  137,  137,  137,  137,
      137,  137,  137,  137,  288,  289,  278,  137,  137,  137,
      137,  137,  137,  137,  137,  137,  137,  602,  137,  137,
      137,  137,  137,  137,  137,  137,  137,  137,  288,  289,
       96,   97,   98,   99,   91,  143,  161,  161,  144,  161,
      121,  614,  168,  121,  170,   94,  147,   95,   95,   95,
       95,   95,   95,   95,   95,   95,   95,  138,  137,  137,

      137,  137,  137,  137,  137,  137,  137,  137,  137,  137,
      137,  137,  137,  137,  137,  137,  137,  137,  159,  159,
      159,  159,  159,  159,  159,  161,  145,  161,  161,  146,
      172,  595,  614,  614,  284,  594,  148,  137,  137,  137,
      137,  137,  137,  137,  137,  137,  137,  167,  593,   96,
       97,   98,   99,   91,  161,  285,  161,  592,  161,  176,
      591,  173,  101,  614,  102,  149,  103,  103,  103,  103,
      103,  103,  103,  103,  103,  103,  589,  104,  105,  161,
      106,   91,  161,  161,  614,  577,  161,  614,  614,  185,
      101,  614,  102,  166,  103,  103,  103,  103,  103,  103,

      103,  103,  103,  103,  174,  104,  105,  576,  106,   91,
      137,  137,  137,  137,  137,  137,  137,  137,  137,  137,
      575,  574,  108,  108,  108,  108,  108,  108,  108,  108,
      108,  108,  161,  237,  408,  573,  409,  614,  150,  137,
      137,  137,  137,  137,  137,  137,  137,  137,  137,  151,
      572,  152,  161,  153,  161,  154,  161,  614,  571,  614,
      294,  614,  295,  155,  161,  169,  156,  157,  158,  614,
      171,  570,  161,  569,  296,  164,  175,  614,  297,  298,
      568,  186,  264,  183,  109,  110,  111,  112,   91,  265,
      161,  161,  161,  161,  161,  614,  614,  614,  614,  614,

      567,  108,  108,  108,  108,  108,  108,  108,  108,  108,
      108,  165,  161,  161,  566,  161,  565,  614,  614,  177,
      614,  178,  301,  187,  188,  184,  179,  561,  554,  542,
      262,  160,  189,  180,  190,  241,  266,  181,  182,  191,
      192,  263,  193,  194,  242,  243,  161,  161,  195,  244,
      245,  614,  614,  161,  541,  527,  310,  225,  614,  226,
      196,  522,  514,  109,  110,  111,  112,   91,   91,   91,
       91,   91,   91,   91,   91,   91,   91,   91,   91,   91,
       91,   91,   91,   91,   91,   91,   91,   91,   91,   91,
       91,   91,   91,   91,   91,   91,   91,   91,  113,  113,

      113,  113,  113,  113,  113,  113,  113,  113,  113,  113,
      113,  113,  113,  113,  113,  113,  113,  113,  113,   91,
       91,  113,  113,  113,  113,  113,  113,  113,  113,  113,
      113,  113,  113,  113,  113,  113,  113,  113,  113,  113,
      113,  113,  113,  113,  113,  113,  113,  113,   91,   91,
       91,   91,  115,  161,  161,  161,  161,  161,  614,  614,
      614,  614,  614,  501,  498,  116,  116,  116,  116,  116,
      116,  116,  116,  116,  116,  161,  209,  209,  117,  303,
      614,  494,  493,  197,  198,  302,  161,  199,  492,  161,
      491,  614,  490,  309,  614,  200,  489,  201,  204,  205,

      202,  203,  300,  300,  300,  300,  300,  300,  300,  118,
      161,  488,  485,  476,  416,  614,  206,  210,  207,  211,
      212,  161,  161,  119,  414,  413,  614,  614,  208,  161,
      161,  120,  115,  213,  614,  614,  161,  161,  412,  161,
      411,  614,  614,  214,  614,  116,  116,  116,  116,  116,
      116,  116,  116,  116,  116,  161,  161,  221,  117,  218,
      614,  614,  219,  222,  410,  223,  231,  224,  227,  234,
      407,  299,  293,  220,  228,  238,  306,  229,  239,  161,
      232,  240,  161,  292,  614,  230,  233,  614,  161,  118,
      291,  286,  283,  614,  304,  304,  304,  304,  304,  304,

      304,  282,  312,  119,  305,  305,  305,  305,  305,  305,
      305,  120,  125,  125,  125,  125,  125,  125,  125,  125,
      125,  258,  161,  235,  259,  279,  161,  614,  161,  236,
      260,  614,  276,  614,  275,  313,  261,  270,  270,  270,
      270,  270,  270,  270,  270,  270,  270,  307,  307,  307,
      307,  307,  307,  307,  161,  126,  269,  127,  161,  614,
      315,  161,  128,  614,  129,  130,  614,  161,  131,  132,
      161,  133,  614,  267,  124,  614,  134,  215,  215,  215,
      215,  215,  215,  215,  215,  215,  215,  161,  338,  614,
      314,  316,  614,  271,  271,  271,  271,  271,  271,  271,

      271,  271,  271,  272,  272,  272,  272,  272,  272,  272,
      272,  272,  272,   92,  320,  333,   92,  216,  274,  274,
      274,  274,  274,  274,  274,  274,  274,  274,  614,  614,
      614,  217,  246,  308,  308,  308,  308,  308,  308,  308,
      161,  614,  161,  614,  614,  614,  122,  614,  123,  123,
      123,  123,  123,  123,  123,  123,  123,  123,  280,  280,
      280,  280,  280,  280,  280,  280,  280,  280,  161,  161,
      161,  614,  247,  614,  614,  614,  248,  614,  317,  249,
      250,  318,  161,  251,  252,  161,  161,  614,  253,  254,
      614,  614,  255,  614,  256,  614,  257,  137,  137,  137,

      137,  137,  137,  137,  137,  137,  137,  311,  311,  311,
      311,  311,  311,  311,  321,  319,  323,  614,  332,  324,
      161,  281,  322,  325,  161,  614,  161,  337,  161,  614,
      161,  614,  326,  614,  614,  614,  161,  161,  339,  340,
      341,  614,  614,  161,  161,  161,  161,  614,  614,  614,
      614,  614,  327,  328,  329,  161,  161,  161,  161,  614,
      614,  614,  614,  614,  331,  330,  161,  614,  614,  161,
      161,  614,  334,  335,  614,  614,  342,  345,  336,  614,
      161,  161,  161,  343,  344,  614,  614,  614,  346,  614,
      351,  614,  347,  161,  349,  614,  348,  161,  614,  161,

      350,  161,  614,  614,  614,  161,  614,  614,  161,  161,
      614,  354,  355,  614,  614,  352,  161,  614,  353,  161,
      614,  614,  161,  161,  614,  161,  161,  614,  614,  356,
      614,  614,  161,  161,  357,  161,  161,  614,  614,  361,
      614,  614,  161,  614,  161,  363,  358,  614,  359,  614,
      360,  362,  365,  161,  366,  367,  614,  161,  614,  161,
      161,  364,  614,  384,  614,  614,  371,  161,  614,  614,
      368,  369,  614,  375,  370,  372,  161,  614,  373,  614,
      614,  614,  374,  161,  161,  376,  380,  161,  614,  614,
      161,  614,  614,  161,  161,  614,  377,  161,  614,  614,

      378,  381,  614,  614,  161,  383,  379,  382,  161,  614,
      400,  161,  614,  614,  161,  614,  614,  161,  385,  614,
      161,  401,  614,  614,  386,  614,  387,  614,  388,  614,
      614,  161,  161,  390,  389,  391,  614,  614,  392,  395,
      614,  614,  396,  614,  393,  394,  394,  394,  394,  394,
      394,  394,  394,  394,  394,  161,  161,  397,  398,  399,
      614,  614,  161,  161,  161,  161,  420,  614,  614,  614,
      614,  614,  614,  402,  270,  270,  270,  270,  270,  270,
      270,  270,  270,  270,  614,  614,  614,  403,  271,  271,
      271,  271,  271,  271,  271,  271,  271,  271,  614,  614,

      404,  405,  415,  415,  415,  415,  415,  415,  415,  415,
      415,  406,  272,  272,  272,  272,  272,  272,  272,  272,
      272,  272,  274,  274,  274,  274,  274,  274,  274,  274,
      274,  274,  280,  280,  280,  280,  280,  280,  280,  280,
      280,  280,  161,  161,  161,  161,  423,  614,  614,  614,
      614,  614,  161,  421,  422,  161,  161,  614,  161,  161,
      614,  614,  161,  614,  614,  614,  614,  614,  418,  425,
      425,  425,  425,  425,  425,  425,  425,  425,  425,  161,
      426,  614,  614,  161,  614,  424,  419,  161,  614,  614,
      614,  161,  614,  161,  428,  281,  614,  161,  614,  161,

      432,  433,  614,  429,  614,  161,  161,  161,  430,  161,
      614,  614,  614,  161,  614,  161,  614,  161,  614,  427,
      614,  431,  614,  161,  161,  161,  614,  161,  614,  614,
      614,  434,  614,  161,  161,  161,  435,  161,  614,  614,
      614,  161,  614,  614,  161,  161,  614,  161,  436,  614,
      614,  161,  614,  161,  161,  614,  614,  614,  614,  614,
      438,  161,  437,  614,  161,  161,  614,  442,  439,  614,
      614,  161,  161,  440,  441,  161,  614,  614,  614,  444,
      614,  161,  451,  452,  453,  445,  614,  614,  161,  443,
      161,  614,  454,  614,  161,  614,  447,  614,  161,  614,

      614,  161,  161,  614,  161,  448,  614,  614,  161,  614,
      161,  614,  446,  614,  161,  614,  449,  614,  614,  614,
      161,  161,  456,  457,  450,  614,  614,  614,  161,  161,
      455,  614,  458,  614,  614,  161,  459,  614,  462,  460,
      614,  461,  161,  161,  161,  161,  614,  614,  614,  614,
      614,  463,  161,  161,  161,  161,  614,  614,  614,  614,
      614,  465,  464,  161,  161,  466,  161,  467,  614,  614,
      161,  614,  468,  161,  161,  614,  161,  161,  614,  614,
      161,  614,  614,  161,  161,  614,  469,  470,  614,  614,
      161,  614,  484,  161,  161,  614,  471,  472,  614,  614,

      161,  161,  161,  161,  614,  614,  614,  614,  614,  478,
      161,  161,  614,  473,  614,  614,  614,  475,  474,  477,
      614,  161,  161,  161,  161,  481,  614,  614,  614,  614,
      161,  161,  161,  483,  161,  614,  614,  614,  161,  614,
      161,  479,  480,  614,  614,  614,  500,  614,  614,  482,
      495,  495,  495,  495,  495,  495,  495,  495,  495,  495,
      161,  614,  161,  497,  487,  614,  499,  614,  161,  161,
      614,  486,  614,  614,  614,  502,  614,  496,  425,  425,
      425,  425,  425,  425,  425,  425,  425,  425,  161,  161,
      161,  161,  161,  614,  614,  614,  614,  614,  161,  161,

      614,  504,  161,  614,  614,  503,  161,  614,  161,  161,
      161,  614,  161,  614,  614,  614,  505,  614,  161,  161,
      161,  614,  161,  614,  614,  614,  506,  614,  509,  161,
      161,  614,  508,  161,  614,  614,  510,  614,  614,  161,
      161,  161,  507,  161,  614,  614,  614,  161,  614,  614,
      161,  614,  614,  161,  511,  614,  512,  161,  614,  161,
      161,  161,  614,  161,  614,  614,  614,  161,  614,  161,
      161,  161,  614,  161,  614,  614,  614,  161,  614,  161,
      161,  513,  614,  515,  614,  614,  161,  161,  516,  161,
      161,  614,  614,  614,  614,  614,  614,  517,  518,  518,

      518,  518,  518,  518,  518,  518,  518,  518,  161,  161,
      161,  520,  161,  614,  614,  614,  161,  614,  161,  519,
      161,  614,  161,  614,  161,  614,  614,  614,  614,  614,
      614,  523,  529,  530,  531,  532,  161,  614,  521,  533,
      524,  614,  535,  536,  537,  538,  543,  161,  526,  539,
      161,  614,  614,  614,  614,  614,  525,  614,  528,  495,
      495,  495,  495,  495,  495,  495,  495,  495,  495,  161,
      161,  549,  161,  161,  614,  614,  161,  614,  614,  614,
      161,  614,  161,  161,  544,  614,  161,  614,  614,  161,
      161,  614,  534,  614,  614,  614,  161,  614,  545,  161,

      161,  614,  540,  614,  614,  614,  546,  161,  550,  161,
      547,  548,  614,  161,  614,  161,  614,  161,  614,  161,
      614,  552,  614,  614,  614,  614,  614,  614,  551,  553,
      555,  518,  518,  518,  518,  518,  518,  518,  518,  518,
      518,  161,  557,  161,  161,  161,  614,  161,  614,  614,
      614,  161,  614,  558,  614,  161,  614,  614,  556,  560,
      614,  161,  559,  579,  161,  161,  614,  614,  583,  614,
      614,  614,  161,  161,  161,  562,  563,  614,  614,  614,
      564,  161,  161,  580,  161,  614,  614,  614,  161,  614,
      578,  161,  161,  614,  161,  161,  614,  614,  161,  614,

      614,  581,  161,  614,  161,  161,  614,  614,  161,  614,
      614,  582,  598,  614,  161,  161,  161,  614,  584,  614,
      614,  614,  161,  161,  161,  587,  161,  614,  614,  614,
      585,  614,  161,  588,  161,  596,  586,  614,  161,  614,
      614,  161,  161,  614,  161,  590,  614,  614,  161,  614,
      161,  161,  614,  614,  161,  614,  614,  597,  600,  614,
      599,  161,  161,  161,  614,  161,  614,  614,  614,  604,
      614,  614,  614,  161,  161,  614,  601,  608,  614,  614,
      614,  609,  614,  614,  614,  607,  614,  614,  605,  614,
      614,  610,  611,  614,  614,  614,  614,  613,  614,  614,

      614,  614,  614,  612,   87,   87,   87,   87,   87,   87,
       87,   91,   91,   91,   91,   91,   91,   91,   93,   93,
       93,   93,   93,   93,   93,  100,  100,  100,  100,  100,
      100,  100,  107,  107,  107,  107,  107,  107,  107,  114,
      114,  114,  114,  114,  114,  114,  137,  614,  614,  137,
      160,  160,  160,  160,  160,  268,  614,  268,  268,  268,
      268,  268,  273,  614,  273,  273,  273,  287,  287,  287,
      287,  287,  287,  287,  290,  614,  614,  614,  290,  417,
      614,  614,  614,  417,   17,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,

      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614
    } ;

static const flex_int16_t yy_chk[2171] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    3,    3,    4,    4,  598,
       19,   28,    3,   19,    4,    7,   28,   30,   44,   31,

      136,  136,   30,   44,   31,   30,    7,   31,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    7,   21,  215,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       44,  122,  595,  215,   29,   29,   29,   29,   29,   29,
       29,   29,   29,   29,  287,  287,  122,   32,   32,   32,
       32,   32,   32,   32,   32,   32,   32,  589,   34,   34,
       34,   34,   34,   34,   34,   34,   34,   34,  289,  289,
        7,    7,    7,    7,    8,   32,   46,   49,   32,   51,
      121,   46,   49,  121,   51,    8,   34,    8,    8,    8,
        8,    8,    8,    8,    8,    8,    8,   29,   33,   33,

       33,   33,   33,   33,   33,   33,   33,   33,   35,   35,
       35,   35,   35,   35,   35,   35,   35,   35,   43,   43,
       43,   43,   43,   43,   43,   53,   33,   56,   48,   33,
       53,  577,   56,   48,  129,  573,   35,   36,   36,   36,
       36,   36,   36,   36,   36,   36,   36,   48,  571,    8,
        8,    8,    8,    9,   57,  129,   54,  568,  160,   57,
      566,   54,    9,  160,    9,   36,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,  561,    9,    9,   60,
        9,   10,   47,  164,   60,  542,   76,   47,  164,   60,
       10,   76,   10,   47,   10,   10,   10,   10,   10,   10,

       10,   10,   10,   10,   54,   10,   10,  541,   10,   11,
       37,   37,   37,   37,   37,   37,   37,   37,   37,   37,
      539,  538,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   55,   76,  269,  537,  269,   55,   37,   38,
       38,   38,   38,   38,   38,   38,   38,   38,   38,   39,
      536,   39,   82,   39,   50,   39,   52,   82,  535,   50,
      156,   52,  156,   39,   45,   50,   39,   39,   39,   45,
       52,  533,   59,  532,  156,   45,   55,   59,  156,  156,
      531,   63,   82,   59,   11,   11,   11,   11,   12,   82,
      163,   63,   83,  166,   81,  163,   63,   83,  166,   81,

      530,   12,   12,   12,   12,   12,   12,   12,   12,   12,
       12,   45,   58,   64,  529,   72,  527,   58,   64,   58,
       72,   58,  163,   63,   63,   59,   58,  522,  514,  491,
       81,   78,   63,   58,   63,   78,   83,   58,   58,   63,
       63,   81,   63,   64,   78,   78,  169,  175,   64,   78,
       78,  169,  175,  177,  490,  485,  175,   72,  177,   72,
       64,  476,  454,   12,   12,   12,   12,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,

       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   15,   65,   66,  165,  167,  174,   65,   66,
      165,  167,  174,  423,  420,   15,   15,   15,   15,   15,
       15,   15,   15,   15,   15,   67,   68,   68,   15,  167,
       67,  414,  413,   65,   65,  165,   68,   65,  412,  178,
      411,   68,  410,  174,  178,   65,  409,   65,   66,   66,

       65,   65,  162,  162,  162,  162,  162,  162,  162,   15,
      180,  408,  401,  384,  286,  180,   67,   68,   67,   68,
       68,  181,   71,   15,  279,  278,  181,   71,   67,   70,
       73,   15,   16,   68,   70,   73,   74,   77,  277,  182,
      276,   74,   77,   68,  182,   16,   16,   16,   16,   16,
       16,   16,   16,   16,   16,  183,  171,   71,   16,   70,
      183,  171,   70,   71,  275,   71,   74,   71,   73,   75,
      268,  157,  154,   70,   73,   77,  171,   73,   77,   75,
       74,   77,  179,  152,   75,   73,   74,  179,   80,   16,
      151,  132,  128,   80,  168,  168,  168,  168,  168,  168,

      168,  127,  179,   16,  170,  170,  170,  170,  170,  170,
      170,   16,   27,   27,   27,   27,   27,   27,   27,   27,
       27,   80,  184,   75,   80,  124,  186,  184,  187,   75,
       80,  186,  119,  187,  118,  184,   80,   95,   95,   95,
       95,   95,   95,   95,   95,   95,   95,  172,  172,  172,
      172,  172,  172,  172,  203,   27,   94,   27,  188,  203,
      187,  185,   27,  188,   27,   27,  185,  191,   27,   27,
      200,   27,  191,   90,   22,  200,   27,   69,   69,   69,
       69,   69,   69,   69,   69,   69,   69,   69,  203,   17,
      185,  188,   69,  103,  103,  103,  103,  103,  103,  103,

      103,  103,  103,  108,  108,  108,  108,  108,  108,  108,
      108,  108,  108,    6,  191,  200,    5,   69,  116,  116,
      116,  116,  116,  116,  116,  116,  116,  116,    0,    0,
        0,   69,   79,  173,  173,  173,  173,  173,  173,  173,
      189,    0,   79,    0,    0,  189,  123,   79,  123,  123,
      123,  123,  123,  123,  123,  123,  123,  123,  125,  125,
      125,  125,  125,  125,  125,  125,  125,  125,  204,  194,
      192,    0,   79,  204,  194,  192,   79,    0,  189,   79,
       79,  189,  190,   79,   79,  195,  193,  190,   79,   79,
      195,  193,   79,    0,   79,    0,   79,  137,  137,  137,

      137,  137,  137,  137,  137,  137,  137,  176,  176,  176,
      176,  176,  176,  176,  192,  190,  194,    0,  199,  195,
      196,  125,  193,  195,  197,  196,  198,  202,  199,  197,
      201,  198,  195,  199,    0,  201,  206,  202,  205,  205,
      205,  206,  202,  208,  207,  209,  205,    0,  208,  207,
      209,  205,  196,  196,  196,  210,  211,  212,  213,    0,
      210,  211,  212,  213,  198,  197,  216,    0,    0,  217,
      218,  216,  201,  201,  217,  218,  205,  207,  201,    0,
      219,  220,  221,  205,  206,  219,  220,  221,  208,    0,
      213,    0,  210,  222,  211,    0,  210,  223,  222,  224,

      212,  226,  223,    0,  224,  225,  226,    0,  227,  228,
      225,  218,  219,  227,  228,  216,  229,    0,  217,  230,
        0,  229,  231,  232,  230,  233,  234,  231,  232,  220,
      233,  234,  236,  235,  222,  237,  238,  236,  235,  226,
      237,  238,  239,    0,  240,  228,  223,  239,  223,  240,
      225,  227,  230,  242,  231,  231,    0,  241,  242,  244,
      243,  229,  241,  245,  244,  243,  233,  246,    0,    0,
      231,  231,  246,  236,  232,  235,  247,    0,  235,    0,
        0,  247,  235,  248,  245,  239,  242,  249,  248,  245,
      250,    0,  249,  251,  252,  250,  240,  253,  251,  252,

      241,  243,  253,    0,  256,  244,  241,  243,  255,  256,
      260,  258,    0,  255,  257,    0,  258,  259,  247,  257,
      260,  261,  259,    0,  248,  260,  248,    0,  249,    0,
        0,  262,  261,  250,  249,  251,  262,  261,  252,  255,
        0,    0,  256,    0,  253,  254,  254,  254,  254,  254,
      254,  254,  254,  254,  254,  254,  263,  257,  258,  259,
      254,  263,  264,  265,  266,  303,  306,  264,  265,  266,
      303,  306,    0,  262,  270,  270,  270,  270,  270,  270,
      270,  270,  270,  270,    0,    0,    0,  263,  271,  271,
      271,  271,  271,  271,  271,  271,  271,  271,    0,    0,

      264,  265,  281,  281,  281,  281,  281,  281,  281,  281,
      281,  266,  272,  272,  272,  272,  272,  272,  272,  272,
      272,  272,  274,  274,  274,  274,  274,  274,  274,  274,
      274,  274,  280,  280,  280,  280,  280,  280,  280,  280,
      280,  280,  301,  302,  309,  310,  312,  301,  302,  309,
      310,  312,  313,  309,  310,  314,  318,  313,  317,  319,
      314,  318,  320,  317,  319,    0,    0,  320,  301,  315,
      315,  315,  315,  315,  315,  315,  315,  315,  315,  321,
      316,    0,    0,  322,  321,  314,  302,  316,  322,    0,
        0,  323,  316,  324,  317,  280,  323,  326,  324,  327,

      325,  325,  326,  318,  327,  328,  329,  330,  318,  325,
      328,  329,  330,  331,  325,  332,    0,  333,  331,  316,
      332,  321,  333,  334,  335,  336,    0,  337,  334,  335,
      336,  326,  337,  338,  339,  340,  329,  341,  338,  339,
      340,  342,  341,    0,  343,  344,  342,  345,  330,  343,
      344,  346,  345,  347,  348,    0,  346,    0,  347,  348,
      333,  349,  331,    0,  350,  351,  349,  341,  334,  350,
      351,  352,  353,  335,  338,  354,  352,  353,    0,  344,
      354,  356,  355,  355,  355,  345,  356,    0,  357,  342,
      358,    0,  355,  357,  359,  358,  350,  355,  361,  359,

        0,  360,  363,  361,  362,  352,  360,  363,  364,  362,
      365,    0,  349,  364,  366,  365,  353,    0,    0,  366,
      367,  368,  357,  358,  354,  367,  368,    0,  369,  370,
      356,    0,  358,  369,  370,  371,  359,    0,  362,  360,
      371,  361,  372,  373,  374,  375,    0,  372,  373,  374,
      375,  366,  376,  377,  378,  379,    0,  376,  377,  378,
      379,  368,  367,  380,  381,  369,  382,  370,  380,  381,
      383,  382,  372,  386,  385,  383,  387,  388,  386,  385,
      389,  387,  388,  390,  391,  389,  375,  378,  390,  391,
      392,    0,  398,  393,  395,  392,  380,  380,  393,  395,

      396,  397,  398,  399,    0,  396,  397,  398,  399,  387,
      400,  402,    0,  380,    0,  400,  402,  383,  380,  385,
        0,  403,  404,  405,  406,  395,  403,  404,  405,  406,
      418,  419,  421,  397,  424,  418,  419,  421,  422,  424,
      426,  392,  393,  422,    0,  426,  422,    0,    0,  396,
      415,  415,  415,  415,  415,  415,  415,  415,  415,  415,
      427,    0,  428,  419,  405,  427,  421,  428,  429,  430,
        0,  404,    0,  429,  430,  424,    0,  418,  425,  425,
      425,  425,  425,  425,  425,  425,  425,  425,  431,  432,
      433,  434,  435,  431,  432,  433,  434,  435,  436,  437,

        0,  429,  438,  436,  437,  428,  439,  438,  440,  441,
      442,  439,  443,  440,  441,  442,  430,  443,  444,  445,
      446,    0,  447,  444,  445,  446,  431,  447,  436,  448,
      449,    0,  435,  450,  448,  449,  439,    0,  450,  451,
      452,  453,  434,  455,  451,  452,  453,  456,  455,    0,
      457,    0,  456,  458,  445,  457,  447,  459,  458,  460,
      461,  462,  459,  463,  460,  461,  462,  464,  463,  466,
      467,  468,  464,  469,  466,  467,  468,  470,  469,  471,
      472,  448,  470,  456,  471,  472,  473,  474,  457,  475,
      477,  473,  474,    0,  475,  477,    0,  458,  465,  465,

      465,  465,  465,  465,  465,  465,  465,  465,  478,  479,
      480,  470,  481,  478,  479,  480,  482,  481,  483,  468,
      484,  482,  486,  483,  487,  484,    0,  486,    0,  487,
        0,  477,  488,  488,  488,  488,  496,    0,  475,  488,
      478,  496,  489,  489,  489,  489,  496,  497,  482,  489,
      499,    0,  497,    0,    0,  499,  478,    0,  487,  495,
      495,  495,  495,  495,  495,  495,  495,  495,  495,  500,
      502,  503,  504,  505,  500,  502,  506,  504,  505,    0,
      503,  506,  507,  508,  497,  503,  509,  507,  508,  510,
      511,  509,  488,    0,  510,  511,  512,    0,  499,  513,

      515,  512,  489,    0,  513,  515,  500,  516,  506,  517,
      500,  502,  516,  519,  517,  520,    0,  521,  519,  524,
      520,  510,  521,    0,  524,    0,    0,    0,  508,  513,
      515,  518,  518,  518,  518,  518,  518,  518,  518,  518,
      518,  523,  517,  526,  525,  528,  523,  543,  526,  525,
      528,  545,  543,  519,    0,  544,  545,    0,  516,  521,
      544,  546,  520,  544,  547,  548,  546,    0,  549,  547,
      548,    0,  549,  550,  551,  523,  525,  549,  550,  551,
      526,  552,  553,  545,  555,    0,  552,  553,  557,  555,
      543,  556,  558,  557,  559,  560,  556,  558,  562,  559,

      560,  546,  563,  562,  564,  578,    0,  563,  579,  564,
      578,  547,  580,  579,  581,  582,  583,  580,  551,  581,
      582,  583,  584,  586,  585,  555,  587,  584,  586,  585,
      552,  587,  588,  556,  590,  578,  553,  588,  596,  590,
        0,  597,  599,  596,  600,  562,  597,  599,  601,  600,
      604,  605,    0,  601,  607,  604,  605,  579,  585,  607,
      584,  608,  609,  610,    0,  611,  608,  609,  610,  596,
      611,    0,    0,  612,  613,    0,  588,  600,  612,  613,
        0,  601,    0,    0,    0,  599,    0,    0,  597,    0,
        0,  604,  605,    0,    0,    0,    0,  610,    0,    0,

        0,    0,    0,  607,  615,  615,  615,  615,  615,  615,
      615,  616,  616,  616,  616,  616,  616,  616,  617,  617,
      617,  617,  617,  617,  617,  618,  618,  618,  618,  618,
      618,  618,  619,  619,  619,  619,  619,  619,  619,  620,
      620,  620,  620,  620,  620,  620,  621,    0,    0,  621,
      622,  622,  622,  622,  622,  623,    0,  623,  623,  623,
      623,  623,  624,    0,  624,  624,  624,  625,  625,  625,
      625,  625,  625,  625,  626,    0,    0,    0,  626,  627,
        0,    0,    0,  627,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,

      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614
    } ;

/* Table of booleans, true if rule could match eol. */
static const flex_int32_t yy_rule_can_match_eol[258] =
    {   0,
1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0,     };

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

extern int yy_flex_debug;
int yy_flex_debug = 0;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *yytext;
#line 1 "../src/intel/compiler/brw_lex.l"
#line 4 "../src/intel/compiler/brw_lex.l"
#include <string.h>
#include "brw_asm_internal.h"
#undef ALIGN16
#include "brw_gram.tab.h"

/* Locations */
int yycolumn = 1;

int saved_state = 0;
extern const char *input_filename;

#define YY_NO_INPUT
#define YY_USER_ACTION                                          \
        yylloc.first_line = yylloc.last_line = yylineno;        \
        yylloc.first_column = yycolumn;                         \
        yylloc.last_column = yycolumn + yyleng - 1;             \
        yycolumn += yyleng;
#line 1180 "src/intel/compiler/brw_lex.yy.c"

#line 1182 "src/intel/compiler/brw_lex.yy.c"

#define INITIAL 0
#define BLOCK_COMMENT 1
#define FILENAME 2
#define CHANNEL 3
#define REG 4
#define DOTSEL 5
#define LABEL 6
#define MSGDESC 7

#ifndef YY_NO_UNISTD_H
/* Special case for "unistd.h", since it is non-ANSI. We include it way
 * down here because we want the user's section 1 to have been scanned first.
 * The user has a chance to override it with an option.
 */
#include <unistd.h>
#endif

#ifndef YY_EXTRA_TYPE
#define YY_EXTRA_TYPE void *
#endif

static int yy_init_globals ( void );

/* Accessor methods to globals.
   These are made visible to non-reentrant scanners for convenience. */

int yylex_destroy ( void );

int yyget_debug ( void );

void yyset_debug ( int debug_flag  );

YY_EXTRA_TYPE yyget_extra ( void );

void yyset_extra ( YY_EXTRA_TYPE user_defined  );

FILE *yyget_in ( void );

void yyset_in  ( FILE * _in_str  );

FILE *yyget_out ( void );

void yyset_out  ( FILE * _out_str  );

			int yyget_leng ( void );

char *yyget_text ( void );

int yyget_lineno ( void );

void yyset_lineno ( int _line_number  );

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int yywrap ( void );
#else
extern int yywrap ( void );
#endif
#endif

#ifndef YY_NO_UNPUT
    
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy ( char *, const char *, int );
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen ( const char * );
#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
static int yyinput ( void );
#else
static int input ( void );
#endif

#endif

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k */
#define YY_READ_BUF_SIZE 16384
#else
#define YY_READ_BUF_SIZE 8192
#endif /* __ia64__ */
#endif

/* Copy whatever the last rule matched to the standard output. */
#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
		{ \
		int c = '*'; \
		int n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else \
		{ \
		errno=0; \
		while ( (result = (int) fread(buf, 1, (yy_size_t) max_size, yyin)) == 0 && ferror(yyin)) \
			{ \
			if( errno != EINTR) \
				{ \
				YY_FATAL_ERROR( "input in flex scanner failed" ); \
				break; \
				} \
			errno=0; \
			clearerr(yyin); \
			} \
		}\
\

#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#endif

/* end tables serialization structures and prototypes */

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL_IS_OURS 1

extern int yylex (void);

#define YY_DECL int yylex (void)
#endif /* !YY_DECL */

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK /*LINTED*/break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

/** The main scanner function which does all the work.
 */
YY_DECL
{
	yy_state_type yy_current_state;
	char *yy_cp, *yy_bp;
	int yy_act;
    
	if ( !(yy_init) )
		{
		(yy_init) = 1;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! (yy_start) )
			(yy_start) = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! YY_CURRENT_BUFFER ) {
			yyensure_buffer_stack ();
			YY_CURRENT_BUFFER_LVALUE =
				yy_create_buffer( yyin, YY_BUF_SIZE );
		}

		yy_load_buffer_state(  );
		}

	{
#line 30 "../src/intel/compiler/brw_lex.l"


#line 33 "../src/intel/compiler/brw_lex.l"
 /* eat up single line comment */
#line 1409 "src/intel/compiler/brw_lex.yy.c"

	while ( /*CONSTCOND*/1 )		/* loops until end-of-file is reached */
		{
		yy_cp = (yy_c_buf_p);

		/* Support of yytext. */
		*yy_cp = (yy_hold_char);

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = (yy_start);
yy_match:
		do
			{
			YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)] ;
			if ( yy_accept[yy_current_state] )
				{
				(yy_last_accepting_state) = yy_current_state;
				(yy_last_accepting_cpos) = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 615 )
					yy_c = yy_meta[yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
			++yy_cp;
			}
		while ( yy_base[yy_current_state] != 2085 );

yy_find_action:
		yy_act = yy_accept[yy_current_state];
		if ( yy_act == 0 )
			{ /* have to back up */
			yy_cp = (yy_last_accepting_cpos);
			yy_current_state = (yy_last_accepting_state);
			yy_act = yy_accept[yy_current_state];
			}

		YY_DO_BEFORE_ACTION;

		if ( yy_act != YY_END_OF_BUFFER && yy_rule_can_match_eol[yy_act] )
			{
			int yyl;
			for ( yyl = 0; yyl < yyleng; ++yyl )
				if ( yytext[yyl] == '\n' )
					
    yylineno++;
;
			}

do_action:	/* This label is used only to access EOF actions. */

		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = (yy_hold_char);
			yy_cp = (yy_last_accepting_cpos);
			yy_current_state = (yy_last_accepting_state);
			goto yy_find_action;

case 1:
/* rule 1 can match eol */
YY_RULE_SETUP
#line 34 "../src/intel/compiler/brw_lex.l"
{ yycolumn = 1; }
	YY_BREAK
/* eat up multiline comment */
case 2:
YY_RULE_SETUP
#line 37 "../src/intel/compiler/brw_lex.l"
{ saved_state = YYSTATE; BEGIN(BLOCK_COMMENT); }
	YY_BREAK
case 3:
YY_RULE_SETUP
#line 39 "../src/intel/compiler/brw_lex.l"
{ BEGIN(saved_state); }
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 41 "../src/intel/compiler/brw_lex.l"
{ }
	YY_BREAK
case 5:
/* rule 5 can match eol */
YY_RULE_SETUP
#line 42 "../src/intel/compiler/brw_lex.l"
{ }
	YY_BREAK
case 6:
/* rule 6 can match eol */
YY_RULE_SETUP
#line 44 "../src/intel/compiler/brw_lex.l"
{
                           char *name = malloc(yyleng - 1);
                           memmove(name, yytext + 1, yyleng - 2);
                           name[yyleng-1] = '\0';
                           input_filename = name;
                        }
	YY_BREAK
/* null register */
case 7:
YY_RULE_SETUP
#line 52 "../src/intel/compiler/brw_lex.l"
{ BEGIN(REG); return NULL_TOKEN; }
	YY_BREAK
/* Opcodes */
case 8:
YY_RULE_SETUP
#line 55 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ADD; return ADD; }
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 56 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ADD3; return ADD3; }
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 57 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ADDC; return ADDC; }
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 58 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_AND; return AND; }
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 59 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ASR; return ASR; }
	YY_BREAK
case 13:
YY_RULE_SETUP
#line 60 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_AVG; return AVG; }
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 61 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BFE; return BFE; }
	YY_BREAK
case 15:
YY_RULE_SETUP
#line 62 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BFI1; return BFI1; }
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 63 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BFI2; return BFI2; }
	YY_BREAK
case 17:
YY_RULE_SETUP
#line 64 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BFREV; return BFREV; }
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 65 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BRC; return BRC; }
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 66 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BRD; return BRD; }
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 67 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_BREAK; return BREAK; }
	YY_BREAK
case 21:
YY_RULE_SETUP
#line 68 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CALL; return CALL; }
	YY_BREAK
case 22:
YY_RULE_SETUP
#line 69 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CALLA; return CALLA; }
	YY_BREAK
case 23:
YY_RULE_SETUP
#line 70 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CBIT; return CBIT; }
	YY_BREAK
case 24:
YY_RULE_SETUP
#line 71 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CMP; return CMP; }
	YY_BREAK
case 25:
YY_RULE_SETUP
#line 72 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CMPN; return CMPN; }
	YY_BREAK
case 26:
YY_RULE_SETUP
#line 73 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CONTINUE; return CONT; }
	YY_BREAK
case 27:
YY_RULE_SETUP
#line 74 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_CSEL; return CSEL; }
	YY_BREAK
case 28:
YY_RULE_SETUP
#line 75 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DO; return DO; }
	YY_BREAK
case 29:
YY_RULE_SETUP
#line 76 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DP2; return DP2; }
	YY_BREAK
case 30:
YY_RULE_SETUP
#line 77 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DP3; return DP3; }
	YY_BREAK
case 31:
YY_RULE_SETUP
#line 78 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DP4; return DP4; }
	YY_BREAK
case 32:
YY_RULE_SETUP
#line 79 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DP4A; return DP4A; }
	YY_BREAK
case 33:
YY_RULE_SETUP
#line 80 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DPAS; return DPAS; }
	YY_BREAK
case 34:
YY_RULE_SETUP
#line 81 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_DPH; return DPH; }
	YY_BREAK
case 35:
YY_RULE_SETUP
#line 82 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ELSE; return ELSE; }
	YY_BREAK
case 36:
YY_RULE_SETUP
#line 83 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ENDIF; return ENDIF; }
	YY_BREAK
case 37:
YY_RULE_SETUP
#line 84 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_FBH; return FBH; }
	YY_BREAK
case 38:
YY_RULE_SETUP
#line 85 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_FBL; return FBL; }
	YY_BREAK
case 39:
YY_RULE_SETUP
#line 86 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_FRC; return FRC; }
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 87 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_GOTO; return GOTO; }
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 88 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_HALT; return HALT; }
	YY_BREAK
case 42:
YY_RULE_SETUP
#line 89 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_IF; return IF; }
	YY_BREAK
case 43:
YY_RULE_SETUP
#line 90 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ILLEGAL; return ILLEGAL; }
	YY_BREAK
case 44:
YY_RULE_SETUP
#line 91 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_JOIN; return JOIN; }
	YY_BREAK
case 45:
YY_RULE_SETUP
#line 92 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_JMPI; return JMPI; }
	YY_BREAK
case 46:
YY_RULE_SETUP
#line 93 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_LINE; return LINE; }
	YY_BREAK
case 47:
YY_RULE_SETUP
#line 94 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_LRP; return LRP; }
	YY_BREAK
case 48:
YY_RULE_SETUP
#line 95 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_LZD; return LZD; }
	YY_BREAK
case 49:
YY_RULE_SETUP
#line 96 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MAC; return MAC; }
	YY_BREAK
case 50:
YY_RULE_SETUP
#line 97 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MACH; return MACH; }
	YY_BREAK
case 51:
YY_RULE_SETUP
#line 98 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MAD; return MAD; }
	YY_BREAK
case 52:
YY_RULE_SETUP
#line 99 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MADM; return MADM; }
	YY_BREAK
case 53:
YY_RULE_SETUP
#line 100 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MOV; return MOV; }
	YY_BREAK
case 54:
YY_RULE_SETUP
#line 101 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MOVI; return MOVI; }
	YY_BREAK
case 55:
YY_RULE_SETUP
#line 102 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MUL; return MUL; }
	YY_BREAK
case 56:
YY_RULE_SETUP
#line 103 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_NOP; return NOP; }
	YY_BREAK
case 57:
YY_RULE_SETUP
#line 104 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_NOT; return NOT; }
	YY_BREAK
case 58:
YY_RULE_SETUP
#line 105 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_OR; return OR; }
	YY_BREAK
case 59:
YY_RULE_SETUP
#line 106 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_PLN; return PLN; }
	YY_BREAK
case 60:
YY_RULE_SETUP
#line 107 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_RET; return RET; }
	YY_BREAK
case 61:
YY_RULE_SETUP
#line 108 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_RNDD; return RNDD; }
	YY_BREAK
case 62:
YY_RULE_SETUP
#line 109 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_RNDE; return RNDE; }
	YY_BREAK
case 63:
YY_RULE_SETUP
#line 110 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_RNDU; return RNDU; }
	YY_BREAK
case 64:
YY_RULE_SETUP
#line 111 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_RNDZ; return RNDZ; }
	YY_BREAK
case 65:
YY_RULE_SETUP
#line 112 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ROL; return ROL; }
	YY_BREAK
case 66:
YY_RULE_SETUP
#line 113 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_ROR; return ROR; }
	YY_BREAK
case 67:
YY_RULE_SETUP
#line 114 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SEL; return SEL; }
	YY_BREAK
case 68:
YY_RULE_SETUP
#line 115 "../src/intel/compiler/brw_lex.l"
{
                   yylval.integer = BRW_OPCODE_SEND;
                   return p->devinfo->ver < 12 ? SEND_GFX4 : SEND_GFX12;
                }
	YY_BREAK
case 69:
YY_RULE_SETUP
#line 119 "../src/intel/compiler/brw_lex.l"
{
                   yylval.integer = BRW_OPCODE_SENDC;
                   return  p->devinfo->ver < 12 ? SENDC_GFX4 : SENDC_GFX12;
                }
	YY_BREAK
case 70:
YY_RULE_SETUP
#line 123 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SENDS; return SENDS; }
	YY_BREAK
case 71:
YY_RULE_SETUP
#line 124 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SENDSC; return SENDSC; }
	YY_BREAK
case 72:
YY_RULE_SETUP
#line 125 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SHL; return SHL; }
	YY_BREAK
case 73:
YY_RULE_SETUP
#line 126 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SHR; return SHR; }
	YY_BREAK
case 74:
YY_RULE_SETUP
#line 127 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SMOV; return SMOV; }
	YY_BREAK
case 75:
YY_RULE_SETUP
#line 128 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SUBB; return SUBB; }
	YY_BREAK
case 76:
YY_RULE_SETUP
#line 129 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_WAIT; return WAIT; }
	YY_BREAK
case 77:
YY_RULE_SETUP
#line 130 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_WHILE; return WHILE; }
	YY_BREAK
case 78:
YY_RULE_SETUP
#line 131 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_XOR; return XOR; }
	YY_BREAK
case 79:
YY_RULE_SETUP
#line 132 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_SYNC; return SYNC; }
	YY_BREAK
case 80:
YY_RULE_SETUP
#line 133 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_OPCODE_MATH; return MATH; }
	YY_BREAK
/* extended math functions */
case 81:
YY_RULE_SETUP
#line 136 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_COS; return COS; }
	YY_BREAK
case 82:
YY_RULE_SETUP
#line 137 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_EXP; return EXP; }
	YY_BREAK
case 83:
YY_RULE_SETUP
#line 138 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_FDIV; return FDIV; }
	YY_BREAK
case 84:
YY_RULE_SETUP
#line 139 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_INV; return INV; }
	YY_BREAK
case 85:
YY_RULE_SETUP
#line 140 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = GFX8_MATH_FUNCTION_INVM; return INVM; }
	YY_BREAK
case 86:
YY_RULE_SETUP
#line 141 "../src/intel/compiler/brw_lex.l"
{
                   yylval.integer = BRW_MATH_FUNCTION_INT_DIV_QUOTIENT;
                   return INTDIV;
                }
	YY_BREAK
case 87:
YY_RULE_SETUP
#line 145 "../src/intel/compiler/brw_lex.l"
{
                   yylval.integer =
                      BRW_MATH_FUNCTION_INT_DIV_QUOTIENT_AND_REMAINDER;
                   return INTDIVMOD;
                }
	YY_BREAK
case 88:
YY_RULE_SETUP
#line 150 "../src/intel/compiler/brw_lex.l"
{
                   yylval.integer = BRW_MATH_FUNCTION_INT_DIV_REMAINDER;
                   return INTMOD;
                }
	YY_BREAK
case 89:
YY_RULE_SETUP
#line 154 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_LOG; return LOG; }
	YY_BREAK
case 90:
YY_RULE_SETUP
#line 155 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_POW; return POW; }
	YY_BREAK
case 91:
YY_RULE_SETUP
#line 156 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_RSQ; return RSQ; }
	YY_BREAK
case 92:
YY_RULE_SETUP
#line 157 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = GFX8_MATH_FUNCTION_RSQRTM; return RSQRTM; }
	YY_BREAK
case 93:
YY_RULE_SETUP
#line 158 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_SIN; return SIN; }
	YY_BREAK
case 94:
YY_RULE_SETUP
#line 159 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_MATH_FUNCTION_SQRT; return SQRT; }
	YY_BREAK
/* sync instruction */
case 95:
YY_RULE_SETUP
#line 162 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = TGL_SYNC_ALLRD; return ALLRD; }
	YY_BREAK
case 96:
YY_RULE_SETUP
#line 163 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = TGL_SYNC_ALLWR; return ALLWR; }
	YY_BREAK
case 97:
YY_RULE_SETUP
#line 164 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = TGL_SYNC_FENCE; return FENCE; }
	YY_BREAK
case 98:
YY_RULE_SETUP
#line 165 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = TGL_SYNC_BAR; return BAR; }
	YY_BREAK
case 99:
YY_RULE_SETUP
#line 166 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = TGL_SYNC_HOST; return HOST; }
	YY_BREAK
/* shared functions for send instruction */
case 100:
YY_RULE_SETUP
#line 169 "../src/intel/compiler/brw_lex.l"
{ return GATEWAY; }
	YY_BREAK
case 101:
YY_RULE_SETUP
#line 170 "../src/intel/compiler/brw_lex.l"
{ return HDC0; }
	YY_BREAK
case 102:
YY_RULE_SETUP
#line 171 "../src/intel/compiler/brw_lex.l"
{ return HDC1; }
	YY_BREAK
case 103:
YY_RULE_SETUP
#line 172 "../src/intel/compiler/brw_lex.l"
{ return HDC2; }
	YY_BREAK
case 104:
YY_RULE_SETUP
#line 173 "../src/intel/compiler/brw_lex.l"
{ return HDC_RO; }
	YY_BREAK
case 105:
YY_RULE_SETUP
#line 174 "../src/intel/compiler/brw_lex.l"
{ return PIXEL_INTERP; }
	YY_BREAK
case 106:
YY_RULE_SETUP
#line 175 "../src/intel/compiler/brw_lex.l"
{ return RENDER; }
	YY_BREAK
case 107:
YY_RULE_SETUP
#line 176 "../src/intel/compiler/brw_lex.l"
{ return RT_ACCEL; }
	YY_BREAK
case 108:
YY_RULE_SETUP
#line 177 "../src/intel/compiler/brw_lex.l"
{ return SAMPLER; }
	YY_BREAK
case 109:
YY_RULE_SETUP
#line 178 "../src/intel/compiler/brw_lex.l"
{ return TS_BTD; }
	YY_BREAK
case 110:
YY_RULE_SETUP
#line 179 "../src/intel/compiler/brw_lex.l"
{ return URB; }
	YY_BREAK
case 111:
YY_RULE_SETUP
#line 180 "../src/intel/compiler/brw_lex.l"
{ return SLM; }
	YY_BREAK
case 112:
YY_RULE_SETUP
#line 181 "../src/intel/compiler/brw_lex.l"
{ return TGM; }
	YY_BREAK
case 113:
YY_RULE_SETUP
#line 182 "../src/intel/compiler/brw_lex.l"
{ return UGM; }
	YY_BREAK
case 114:
YY_RULE_SETUP
#line 184 "../src/intel/compiler/brw_lex.l"
{ return SEMICOLON; }
	YY_BREAK
case 115:
YY_RULE_SETUP
#line 185 "../src/intel/compiler/brw_lex.l"
{ return COLON; }
	YY_BREAK
case 116:
YY_RULE_SETUP
#line 186 "../src/intel/compiler/brw_lex.l"
{ return LPAREN; }
	YY_BREAK
case 117:
YY_RULE_SETUP
#line 187 "../src/intel/compiler/brw_lex.l"
{ return RPAREN; }
	YY_BREAK
case 118:
YY_RULE_SETUP
#line 188 "../src/intel/compiler/brw_lex.l"
{ return LCURLY; }
	YY_BREAK
case 119:
YY_RULE_SETUP
#line 189 "../src/intel/compiler/brw_lex.l"
{ return RCURLY; }
	YY_BREAK
case 120:
YY_RULE_SETUP
#line 190 "../src/intel/compiler/brw_lex.l"
{ return LSQUARE; }
	YY_BREAK
case 121:
YY_RULE_SETUP
#line 191 "../src/intel/compiler/brw_lex.l"
{ return RSQUARE; }
	YY_BREAK
case 122:
YY_RULE_SETUP
#line 192 "../src/intel/compiler/brw_lex.l"
{ return LANGLE; }
	YY_BREAK
case 123:
YY_RULE_SETUP
#line 193 "../src/intel/compiler/brw_lex.l"
{ return RANGLE; }
	YY_BREAK
case 124:
YY_RULE_SETUP
#line 194 "../src/intel/compiler/brw_lex.l"
{ return COMMA; }
	YY_BREAK
case 125:
YY_RULE_SETUP
#line 195 "../src/intel/compiler/brw_lex.l"
{ return DOT; }
	YY_BREAK
case 126:
YY_RULE_SETUP
#line 196 "../src/intel/compiler/brw_lex.l"
{ return PLUS; }
	YY_BREAK
case 127:
YY_RULE_SETUP
#line 197 "../src/intel/compiler/brw_lex.l"
{ return MINUS; }
	YY_BREAK
case 128:
YY_RULE_SETUP
#line 198 "../src/intel/compiler/brw_lex.l"
{ return MINUS; }
	YY_BREAK
case 129:
YY_RULE_SETUP
#line 199 "../src/intel/compiler/brw_lex.l"
{ return ABS; }
	YY_BREAK
case 130:
YY_RULE_SETUP
#line 202 "../src/intel/compiler/brw_lex.l"
{ return VxH; }
	YY_BREAK
case 131:
YY_RULE_SETUP
#line 203 "../src/intel/compiler/brw_lex.l"
{ return LANGLE; }
	YY_BREAK
case 132:
YY_RULE_SETUP
#line 204 "../src/intel/compiler/brw_lex.l"
{
                           yylval.integer = strtoul(yytext, NULL, 10);
                           return INTEGER;
                        }
	YY_BREAK
case 133:
YY_RULE_SETUP
#line 208 "../src/intel/compiler/brw_lex.l"
{ return RANGLE; }
	YY_BREAK
case 134:
YY_RULE_SETUP
#line 209 "../src/intel/compiler/brw_lex.l"
{ return COMMA; }
	YY_BREAK
case 135:
YY_RULE_SETUP
#line 210 "../src/intel/compiler/brw_lex.l"
{ BEGIN(DOTSEL); return DOT; }
	YY_BREAK
case 136:
YY_RULE_SETUP
#line 211 "../src/intel/compiler/brw_lex.l"
{ return SEMICOLON; }
	YY_BREAK
case 137:
YY_RULE_SETUP
#line 213 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_X; return X; }
	YY_BREAK
case 138:
YY_RULE_SETUP
#line 214 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_Y; return Y; }
	YY_BREAK
case 139:
YY_RULE_SETUP
#line 215 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_Z; return Z; }
	YY_BREAK
case 140:
YY_RULE_SETUP
#line 216 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_W; return W; }
	YY_BREAK
case 141:
YY_RULE_SETUP
#line 217 "../src/intel/compiler/brw_lex.l"
{
                           yylval.integer = strtoul(yytext, NULL, 10);
                           BEGIN(REG);
                           return INTEGER;
                        }
	YY_BREAK
case 142:
YY_RULE_SETUP
#line 222 "../src/intel/compiler/brw_lex.l"
{ yyless(0); BEGIN(INITIAL); }
	YY_BREAK
case 143:
YY_RULE_SETUP
#line 223 "../src/intel/compiler/brw_lex.l"
{ yyless(0); BEGIN(INITIAL); }
	YY_BREAK
/* Access mode */
case 144:
YY_RULE_SETUP
#line 226 "../src/intel/compiler/brw_lex.l"
{ return ALIGN1; }
	YY_BREAK
case 145:
YY_RULE_SETUP
#line 227 "../src/intel/compiler/brw_lex.l"
{ return ALIGN16; }
	YY_BREAK
/* Accumulator write control */
case 146:
YY_RULE_SETUP
#line 230 "../src/intel/compiler/brw_lex.l"
{ return ACCWREN; }
	YY_BREAK
/* Mask control (formerly WECtrl/Write Enable Control) */
case 147:
YY_RULE_SETUP
#line 233 "../src/intel/compiler/brw_lex.l"
{ return WECTRL; }
	YY_BREAK
/* Compaction control */
case 148:
YY_RULE_SETUP
#line 236 "../src/intel/compiler/brw_lex.l"
{ return CMPTCTRL; }
	YY_BREAK
/* Debug control */
case 149:
YY_RULE_SETUP
#line 239 "../src/intel/compiler/brw_lex.l"
{ return BREAKPOINT; }
	YY_BREAK
/* Dependency control */
case 150:
YY_RULE_SETUP
#line 242 "../src/intel/compiler/brw_lex.l"
{ return NODDCLR; }
	YY_BREAK
case 151:
YY_RULE_SETUP
#line 243 "../src/intel/compiler/brw_lex.l"
{ return NODDCHK; }
	YY_BREAK
/* End of thread */
case 152:
YY_RULE_SETUP
#line 246 "../src/intel/compiler/brw_lex.l"
{ return EOT; }
	YY_BREAK
/* Mask control */
case 153:
YY_RULE_SETUP
#line 249 "../src/intel/compiler/brw_lex.l"
{ return MASK_DISABLE; }
	YY_BREAK
/* Channel */
case 154:
YY_RULE_SETUP
#line 252 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_X; return X; }
	YY_BREAK
case 155:
YY_RULE_SETUP
#line 253 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_Y; return Y; }
	YY_BREAK
case 156:
YY_RULE_SETUP
#line 254 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_Z; return Z; }
	YY_BREAK
case 157:
YY_RULE_SETUP
#line 255 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CHANNEL_W; return W; }
	YY_BREAK
case 158:
YY_RULE_SETUP
#line 256 "../src/intel/compiler/brw_lex.l"
{
                           yylval.integer = strtoul(yytext, NULL, 10);
                           return INTEGER;
                        }
	YY_BREAK
case 159:
YY_RULE_SETUP
#line 260 "../src/intel/compiler/brw_lex.l"
{ return DOT; }
	YY_BREAK
case 160:
YY_RULE_SETUP
#line 261 "../src/intel/compiler/brw_lex.l"
{ yyless(0); BEGIN(INITIAL); }
	YY_BREAK
/* Predicate Control */
case 161:
YY_RULE_SETUP
#line 265 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ANYV; return ANYV; }
	YY_BREAK
case 162:
YY_RULE_SETUP
#line 266 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ALLV; return ALLV; }
	YY_BREAK
case 163:
YY_RULE_SETUP
#line 267 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ANY2H; return ANY2H; }
	YY_BREAK
case 164:
YY_RULE_SETUP
#line 268 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ALL2H; return ALL2H; }
	YY_BREAK
case 165:
YY_RULE_SETUP
#line 269 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN16_ANY4H; return ANY4H; }
	YY_BREAK
case 166:
YY_RULE_SETUP
#line 270 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN16_ALL4H; return ALL4H; }
	YY_BREAK
case 167:
YY_RULE_SETUP
#line 271 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ANY8H; return ANY8H; }
	YY_BREAK
case 168:
YY_RULE_SETUP
#line 272 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ALL8H; return ALL8H; }
	YY_BREAK
case 169:
YY_RULE_SETUP
#line 273 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ANY16H; return ANY16H; }
	YY_BREAK
case 170:
YY_RULE_SETUP
#line 274 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ALL16H; return ALL16H; }
	YY_BREAK
case 171:
YY_RULE_SETUP
#line 275 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ANY32H; return ANY32H; }
	YY_BREAK
case 172:
YY_RULE_SETUP
#line 276 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_PREDICATE_ALIGN1_ALL32H; return ALL32H; }
	YY_BREAK
/* Saturation */
case 173:
YY_RULE_SETUP
#line 279 "../src/intel/compiler/brw_lex.l"
{ return SATURATE; }
	YY_BREAK
/* Thread control */
case 174:
YY_RULE_SETUP
#line 282 "../src/intel/compiler/brw_lex.l"
{ return ATOMIC; }
	YY_BREAK
case 175:
YY_RULE_SETUP
#line 283 "../src/intel/compiler/brw_lex.l"
{ return SWITCH; }
	YY_BREAK
/* Branch control */
case 176:
YY_RULE_SETUP
#line 286 "../src/intel/compiler/brw_lex.l"
{ return BRANCH_CTRL; }
	YY_BREAK
/* Quarter Control */
case 177:
YY_RULE_SETUP
#line 289 "../src/intel/compiler/brw_lex.l"
{ }
	YY_BREAK
case 178:
YY_RULE_SETUP
#line 290 "../src/intel/compiler/brw_lex.l"
{ return QTR_2Q; }
	YY_BREAK
case 179:
YY_RULE_SETUP
#line 291 "../src/intel/compiler/brw_lex.l"
{ return QTR_3Q; }
	YY_BREAK
case 180:
YY_RULE_SETUP
#line 292 "../src/intel/compiler/brw_lex.l"
{ return QTR_4Q; }
	YY_BREAK
case 181:
YY_RULE_SETUP
#line 293 "../src/intel/compiler/brw_lex.l"
{ return QTR_2H; }
	YY_BREAK
case 182:
YY_RULE_SETUP
#line 294 "../src/intel/compiler/brw_lex.l"
{ return QTR_2N; }
	YY_BREAK
case 183:
YY_RULE_SETUP
#line 295 "../src/intel/compiler/brw_lex.l"
{ return QTR_3N; }
	YY_BREAK
case 184:
YY_RULE_SETUP
#line 296 "../src/intel/compiler/brw_lex.l"
{ return QTR_4N; }
	YY_BREAK
case 185:
YY_RULE_SETUP
#line 297 "../src/intel/compiler/brw_lex.l"
{ return QTR_5N; }
	YY_BREAK
case 186:
YY_RULE_SETUP
#line 298 "../src/intel/compiler/brw_lex.l"
{ return QTR_6N; }
	YY_BREAK
case 187:
YY_RULE_SETUP
#line 299 "../src/intel/compiler/brw_lex.l"
{ return QTR_7N; }
	YY_BREAK
case 188:
YY_RULE_SETUP
#line 300 "../src/intel/compiler/brw_lex.l"
{ return QTR_8N; }
	YY_BREAK
/* data types */
case 189:
YY_RULE_SETUP
#line 303 "../src/intel/compiler/brw_lex.l"
{ return TYPE_B; }
	YY_BREAK
case 190:
YY_RULE_SETUP
#line 304 "../src/intel/compiler/brw_lex.l"
{ return TYPE_BF; }
	YY_BREAK
case 191:
YY_RULE_SETUP
#line 305 "../src/intel/compiler/brw_lex.l"
{ return TYPE_D; }
	YY_BREAK
case 192:
YY_RULE_SETUP
#line 306 "../src/intel/compiler/brw_lex.l"
{ return TYPE_DF; }
	YY_BREAK
case 193:
YY_RULE_SETUP
#line 307 "../src/intel/compiler/brw_lex.l"
{ return TYPE_F; }
	YY_BREAK
case 194:
YY_RULE_SETUP
#line 308 "../src/intel/compiler/brw_lex.l"
{ return TYPE_HF; }
	YY_BREAK
case 195:
YY_RULE_SETUP
#line 309 "../src/intel/compiler/brw_lex.l"
{ return TYPE_Q; }
	YY_BREAK
case 196:
YY_RULE_SETUP
#line 310 "../src/intel/compiler/brw_lex.l"
{ return TYPE_UB; }
	YY_BREAK
case 197:
YY_RULE_SETUP
#line 311 "../src/intel/compiler/brw_lex.l"
{ return TYPE_UD; }
	YY_BREAK
case 198:
YY_RULE_SETUP
#line 312 "../src/intel/compiler/brw_lex.l"
{ return TYPE_UW; }
	YY_BREAK
case 199:
YY_RULE_SETUP
#line 313 "../src/intel/compiler/brw_lex.l"
{ return TYPE_UQ; }
	YY_BREAK
case 200:
YY_RULE_SETUP
#line 314 "../src/intel/compiler/brw_lex.l"
{ return TYPE_UV; }
	YY_BREAK
case 201:
YY_RULE_SETUP
#line 315 "../src/intel/compiler/brw_lex.l"
{ return TYPE_V; }
	YY_BREAK
case 202:
YY_RULE_SETUP
#line 316 "../src/intel/compiler/brw_lex.l"
{ return TYPE_VF; }
	YY_BREAK
case 203:
YY_RULE_SETUP
#line 317 "../src/intel/compiler/brw_lex.l"
{ return TYPE_W; }
	YY_BREAK
/* Address registers */
case 204:
YY_RULE_SETUP
#line 320 "../src/intel/compiler/brw_lex.l"
{ return ADDRREG; }
	YY_BREAK
/* accumulator registers */
case 205:
YY_RULE_SETUP
#line 323 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 3); return ACCREG; }
	YY_BREAK
/* channel enable registers */
case 206:
YY_RULE_SETUP
#line 326 "../src/intel/compiler/brw_lex.l"
{ return CHANNELENABLEREG; }
	YY_BREAK
/* control registers */
case 207:
YY_RULE_SETUP
#line 329 "../src/intel/compiler/brw_lex.l"
{ return CONTROLREG; }
	YY_BREAK
/* flag registers */
case 208:
YY_RULE_SETUP
#line 332 "../src/intel/compiler/brw_lex.l"
{ BEGIN(CHANNEL); yylval.integer = atoi(yytext + 1); return FLAGREG; }
	YY_BREAK
/* scalar register */
case 209:
YY_RULE_SETUP
#line 335 "../src/intel/compiler/brw_lex.l"
{ return SCALARREG; }
	YY_BREAK
/* state register */
case 210:
YY_RULE_SETUP
#line 338 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return STATEREG; }
	YY_BREAK
/* notification registers */
case 211:
YY_RULE_SETUP
#line 341 "../src/intel/compiler/brw_lex.l"
{ BEGIN(REG); return NOTIFYREG; }
	YY_BREAK
/* IP register */
case 212:
YY_RULE_SETUP
#line 344 "../src/intel/compiler/brw_lex.l"
{ return IPREG; }
	YY_BREAK
/* Thread control register */
case 213:
YY_RULE_SETUP
#line 347 "../src/intel/compiler/brw_lex.l"
{ return THREADREG; }
	YY_BREAK
/* performance register */
case 214:
YY_RULE_SETUP
#line 350 "../src/intel/compiler/brw_lex.l"
{ BEGIN(REG); return PERFORMANCEREG; }
	YY_BREAK
case 215:
YY_RULE_SETUP
#line 352 "../src/intel/compiler/brw_lex.l"
{
                   yylval.integer = atoi(yytext + 1);
                   BEGIN(REG); return GENREG;
                }
	YY_BREAK
case 216:
YY_RULE_SETUP
#line 356 "../src/intel/compiler/brw_lex.l"
{ return GENREGFILE; }
	YY_BREAK
case 217:
YY_RULE_SETUP
#line 357 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 4); return MASKREG; }
	YY_BREAK
/* Conditional modifiers */
case 218:
YY_RULE_SETUP
#line 360 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_Z; return EQUAL; }
	YY_BREAK
case 219:
YY_RULE_SETUP
#line 361 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_G; return GREATER; }
	YY_BREAK
case 220:
YY_RULE_SETUP
#line 362 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_GE; return GREATER_EQUAL; }
	YY_BREAK
case 221:
YY_RULE_SETUP
#line 363 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_L; return LESS; }
	YY_BREAK
case 222:
YY_RULE_SETUP
#line 364 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_LE; return LESS_EQUAL; }
	YY_BREAK
case 223:
YY_RULE_SETUP
#line 365 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_NZ; return NOT_EQUAL; }
	YY_BREAK
case 224:
YY_RULE_SETUP
#line 366 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_NZ; return NOT_ZERO; }
	YY_BREAK
case 225:
YY_RULE_SETUP
#line 367 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_O; return OVERFLOW; }
	YY_BREAK
case 226:
YY_RULE_SETUP
#line 368 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_R; return ROUND_INCREMENT; }
	YY_BREAK
case 227:
YY_RULE_SETUP
#line 369 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_U; return UNORDERED; }
	YY_BREAK
case 228:
YY_RULE_SETUP
#line 370 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = BRW_CONDITIONAL_Z; return ZERO; }
	YY_BREAK
case 229:
YY_RULE_SETUP
#line 372 "../src/intel/compiler/brw_lex.l"
{ BEGIN(LABEL); return JIP; }
	YY_BREAK
case 230:
YY_RULE_SETUP
#line 373 "../src/intel/compiler/brw_lex.l"
{ BEGIN(LABEL); return UIP; }
	YY_BREAK
case 231:
YY_RULE_SETUP
#line 374 "../src/intel/compiler/brw_lex.l"
{ }
	YY_BREAK
case 232:
YY_RULE_SETUP
#line 376 "../src/intel/compiler/brw_lex.l"
{ BEGIN(MSGDESC); return MSGDESC_BEGIN; }
	YY_BREAK
case 233:
YY_RULE_SETUP
#line 377 "../src/intel/compiler/brw_lex.l"
{ return EX_BSO; }
	YY_BREAK
case 234:
YY_RULE_SETUP
#line 378 "../src/intel/compiler/brw_lex.l"
{ return SRC1_LEN; }
	YY_BREAK
case 235:
YY_RULE_SETUP
#line 379 "../src/intel/compiler/brw_lex.l"
{ return ASSIGN; }
	YY_BREAK
case 236:
YY_RULE_SETUP
#line 380 "../src/intel/compiler/brw_lex.l"
{
                           yylval.integer = strtoul(yytext, NULL, 10);
                           return INTEGER;
                        }
	YY_BREAK
case 237:
YY_RULE_SETUP
#line 384 "../src/intel/compiler/brw_lex.l"
{ yyless(0); BEGIN(INITIAL); return MSGDESC_END; }
	YY_BREAK
case 238:
YY_RULE_SETUP
#line 385 "../src/intel/compiler/brw_lex.l"
{ }
	YY_BREAK
case 239:
/* rule 239 can match eol */
YY_RULE_SETUP
#line 386 "../src/intel/compiler/brw_lex.l"
{ yycolumn = 1; }
	YY_BREAK
case 240:
YY_RULE_SETUP
#line 388 "../src/intel/compiler/brw_lex.l"
{
                           yylval.llint = strtoull(yytext + 2, NULL, 16);
                           return LONG;
                        }
	YY_BREAK
case 241:
YY_RULE_SETUP
#line 392 "../src/intel/compiler/brw_lex.l"
{
                           yylval.llint = strtoll(yytext, NULL, 10);
                           return LONG;
                        }
	YY_BREAK
/* jump label target */
case 242:
YY_RULE_SETUP
#line 398 "../src/intel/compiler/brw_lex.l"
{
        yylval.string = ralloc_strdup(p->mem_ctx, yytext);
        /* Stomp the trailing ':' */
        yylval.string[yyleng - 1] = '\0';
        return JUMP_LABEL_TARGET;
}
	YY_BREAK
/* jump label */
case 243:
YY_RULE_SETUP
#line 406 "../src/intel/compiler/brw_lex.l"
{
        yylval.string = ralloc_strdup(p->mem_ctx, yytext);
        BEGIN(INITIAL);
        return JUMP_LABEL;
}
	YY_BREAK
/* SWSB */
case 244:
YY_RULE_SETUP
#line 413 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 1); return REG_DIST_CURRENT; }
	YY_BREAK
case 245:
YY_RULE_SETUP
#line 414 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return REG_DIST_FLOAT; }
	YY_BREAK
case 246:
YY_RULE_SETUP
#line 415 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return REG_DIST_INT; }
	YY_BREAK
case 247:
YY_RULE_SETUP
#line 416 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return REG_DIST_LONG; }
	YY_BREAK
case 248:
YY_RULE_SETUP
#line 417 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return REG_DIST_ALL; }
	YY_BREAK
case 249:
YY_RULE_SETUP
#line 418 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return REG_DIST_MATH; }
	YY_BREAK
case 250:
YY_RULE_SETUP
#line 419 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 2); return REG_DIST_SCALAR; }
	YY_BREAK
case 251:
YY_RULE_SETUP
#line 421 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 1); return SBID_ALLOC; }
	YY_BREAK
case 252:
YY_RULE_SETUP
#line 422 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 1); return SBID_WAIT_SRC; }
	YY_BREAK
case 253:
YY_RULE_SETUP
#line 423 "../src/intel/compiler/brw_lex.l"
{ yylval.integer = atoi(yytext + 1); return SBID_WAIT_DST; }
	YY_BREAK
/* DPAS params. */
case 254:
YY_RULE_SETUP
#line 426 "../src/intel/compiler/brw_lex.l"
{
        yylval.dpas_params.sdepth = atoi(yytext + 1);
        yylval.dpas_params.rcount = atoi(strchr(yytext, 'x') + 1);
        return DPAS_PARAMS;
}
	YY_BREAK
case 255:
/* rule 255 can match eol */
YY_RULE_SETUP
#line 432 "../src/intel/compiler/brw_lex.l"
{ yycolumn = 1; }
	YY_BREAK
case 256:
YY_RULE_SETUP
#line 434 "../src/intel/compiler/brw_lex.l"
{
           fprintf(stderr, "%s: %d: %s: at \"%s\"\n",
                   input_filename, yylineno,
                   "unexpected token", lex_text());
        }
	YY_BREAK
case 257:
YY_RULE_SETUP
#line 439 "../src/intel/compiler/brw_lex.l"
ECHO;
	YY_BREAK
#line 2863 "src/intel/compiler/brw_lex.yy.c"
case YY_STATE_EOF(INITIAL):
case YY_STATE_EOF(BLOCK_COMMENT):
case YY_STATE_EOF(FILENAME):
case YY_STATE_EOF(CHANNEL):
case YY_STATE_EOF(REG):
case YY_STATE_EOF(DOTSEL):
case YY_STATE_EOF(LABEL):
case YY_STATE_EOF(MSGDESC):
	yyterminate();

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - (yytext_ptr)) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = (yy_hold_char);
		YY_RESTORE_YY_MORE_OFFSET

		if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between YY_CURRENT_BUFFER and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
			YY_CURRENT_BUFFER_LVALUE->yy_input_file = yyin;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( (yy_c_buf_p) <= &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			(yy_c_buf_p) = (yytext_ptr) + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state(  );

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = (yytext_ptr) + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++(yy_c_buf_p);
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = (yy_c_buf_p);
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer(  ) )
			{
			case EOB_ACT_END_OF_FILE:
				{
				(yy_did_buffer_switch_on_eof) = 0;

				if ( yywrap(  ) )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					(yy_c_buf_p) = (yytext_ptr) + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				(yy_c_buf_p) =
					(yytext_ptr) + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				(yy_c_buf_p) =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)];

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of user's declarations */
} /* end of yylex */

/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */
static int yy_get_next_buffer (void)
{
    	char *dest = YY_CURRENT_BUFFER_LVALUE->yy_ch_buf;
	char *source = (yytext_ptr);
	int number_to_move, i;
	int ret_val;

	if ( (yy_c_buf_p) > &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( YY_CURRENT_BUFFER_LVALUE->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( (yy_c_buf_p) - (yytext_ptr) - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) ((yy_c_buf_p) - (yytext_ptr) - 1);

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars) = 0;

	else
		{
			int num_to_read =
			YY_CURRENT_BUFFER_LVALUE->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = YY_CURRENT_BUFFER_LVALUE;

			int yy_c_buf_p_offset =
				(int) ((yy_c_buf_p) - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yyrealloc( (void *) b->yy_ch_buf,
							 (yy_size_t) (b->yy_buf_size + 2)  );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = NULL;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			(yy_c_buf_p) = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = YY_CURRENT_BUFFER_LVALUE->yy_buf_size -
						number_to_move - 1;

			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move]),
			(yy_n_chars), num_to_read );

		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	if ( (yy_n_chars) == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin  );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	if (((yy_n_chars) + number_to_move) > YY_CURRENT_BUFFER_LVALUE->yy_buf_size) {
		/* Extend the array by 50%, plus the number we really need. */
		int new_size = (yy_n_chars) + number_to_move + ((yy_n_chars) >> 1);
		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) yyrealloc(
			(void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf, (yy_size_t) new_size  );
		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
		/* "- 2" to take care of EOB's */
		YY_CURRENT_BUFFER_LVALUE->yy_buf_size = (int) (new_size - 2);
	}

	(yy_n_chars) += number_to_move;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] = YY_END_OF_BUFFER_CHAR;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] = YY_END_OF_BUFFER_CHAR;

	(yytext_ptr) = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[0];

	return ret_val;
}

/* yy_get_previous_state - get the state just before the EOB char was reached */

    static yy_state_type yy_get_previous_state (void)
{
	yy_state_type yy_current_state;
	char *yy_cp;
    
	yy_current_state = (yy_start);

	for ( yy_cp = (yytext_ptr) + YY_MORE_ADJ; yy_cp < (yy_c_buf_p); ++yy_cp )
		{
		YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			(yy_last_accepting_state) = yy_current_state;
			(yy_last_accepting_cpos) = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 615 )
				yy_c = yy_meta[yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
		}

	return yy_current_state;
}

/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */
    static yy_state_type yy_try_NUL_trans  (yy_state_type yy_current_state )
{
	int yy_is_jam;
    	char *yy_cp = (yy_c_buf_p);

	YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		(yy_last_accepting_state) = yy_current_state;
		(yy_last_accepting_cpos) = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 615 )
			yy_c = yy_meta[yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	yy_is_jam = (yy_current_state == 614);

		return yy_is_jam ? 0 : yy_current_state;
}

#ifndef YY_NO_UNPUT

#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
    static int yyinput (void)
#else
    static int input  (void)
#endif

{
	int c;
    
	*(yy_c_buf_p) = (yy_hold_char);

	if ( *(yy_c_buf_p) == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( (yy_c_buf_p) < &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			/* This was really a NUL. */
			*(yy_c_buf_p) = '\0';

		else
			{ /* need more input */
			int offset = (int) ((yy_c_buf_p) - (yytext_ptr));
			++(yy_c_buf_p);

			switch ( yy_get_next_buffer(  ) )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/*FALLTHROUGH*/

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap(  ) )
						return 0;

					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					(yy_c_buf_p) = (yytext_ptr) + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) (yy_c_buf_p);	/* cast for 8-bit char's */
	*(yy_c_buf_p) = '\0';	/* preserve yytext */
	(yy_hold_char) = *++(yy_c_buf_p);

	if ( c == '\n' )
		
    yylineno++;
;

	return c;
}
#endif	/* ifndef YY_NO_INPUT */

/** Immediately switch to a different input stream.
 * @param input_file A readable stream.
 * 
 * @note This function does not reset the start condition to @c INITIAL .
 */
    void yyrestart  (FILE * input_file )
{
    
	if ( ! YY_CURRENT_BUFFER ){
        yyensure_buffer_stack ();
		YY_CURRENT_BUFFER_LVALUE =
            yy_create_buffer( yyin, YY_BUF_SIZE );
	}

	yy_init_buffer( YY_CURRENT_BUFFER, input_file );
	yy_load_buffer_state(  );
}

/** Switch to a different input buffer.
 * @param new_buffer The new input buffer.
 * 
 */
    void yy_switch_to_buffer  (YY_BUFFER_STATE  new_buffer )
{
    
	/* TODO. We should be able to replace this entire function body
	 * with
	 *		yypop_buffer_state();
	 *		yypush_buffer_state(new_buffer);
     */
	yyensure_buffer_stack ();
	if ( YY_CURRENT_BUFFER == new_buffer )
		return;

	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	YY_CURRENT_BUFFER_LVALUE = new_buffer;
	yy_load_buffer_state(  );

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	(yy_did_buffer_switch_on_eof) = 1;
}

static void yy_load_buffer_state  (void)
{
    	(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
	(yytext_ptr) = (yy_c_buf_p) = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
	yyin = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
	(yy_hold_char) = *(yy_c_buf_p);
}

/** Allocate and initialize an input buffer state.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * 
 * @return the allocated buffer state.
 */
    YY_BUFFER_STATE yy_create_buffer  (FILE * file, int  size )
{
	YY_BUFFER_STATE b;
    
	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yyalloc( (yy_size_t) (b->yy_buf_size + 2)  );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
}

/** Destroy the buffer.
 * @param b a buffer created with yy_create_buffer()
 * 
 */
    void yy_delete_buffer (YY_BUFFER_STATE  b )
{
    
	if ( ! b )
		return;

	if ( b == YY_CURRENT_BUFFER ) /* Not sure if we should pop here. */
		YY_CURRENT_BUFFER_LVALUE = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yyfree( (void *) b->yy_ch_buf  );

	yyfree( (void *) b  );
}

/* Initializes or reinitializes a buffer.
 * This function is sometimes called more than once on the same buffer,
 * such as during a yyrestart() or at EOF.
 */
    static void yy_init_buffer  (YY_BUFFER_STATE  b, FILE * file )

{
	int oerrno = errno;
    
	yy_flush_buffer( b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

    /* If b is the current buffer, then yy_init_buffer was _probably_
     * called from yyrestart() or through yy_get_next_buffer.
     * In that case, we don't want to reset the lineno or column.
     */
    if (b != YY_CURRENT_BUFFER){
        b->yy_bs_lineno = 1;
        b->yy_bs_column = 0;
    }

        b->yy_is_interactive = file ? (isatty( fileno(file) ) > 0) : 0;
    
	errno = oerrno;
}

/** Discard all buffered characters. On the next scan, YY_INPUT will be called.
 * @param b the buffer state to be flushed, usually @c YY_CURRENT_BUFFER.
 * 
 */
    void yy_flush_buffer (YY_BUFFER_STATE  b )
{
    	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == YY_CURRENT_BUFFER )
		yy_load_buffer_state(  );
}

/** Pushes the new state onto the stack. The new state becomes
 *  the current state. This function will allocate the stack
 *  if necessary.
 *  @param new_buffer The new state.
 *  
 */
void yypush_buffer_state (YY_BUFFER_STATE new_buffer )
{
    	if (new_buffer == NULL)
		return;

	yyensure_buffer_stack();

	/* This block is copied from yy_switch_to_buffer. */
	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	/* Only push if top exists. Otherwise, replace top. */
	if (YY_CURRENT_BUFFER)
		(yy_buffer_stack_top)++;
	YY_CURRENT_BUFFER_LVALUE = new_buffer;

	/* copied from yy_switch_to_buffer. */
	yy_load_buffer_state(  );
	(yy_did_buffer_switch_on_eof) = 1;
}

/** Removes and deletes the top of the stack, if present.
 *  The next element becomes the new top.
 *  
 */
void yypop_buffer_state (void)
{
    	if (!YY_CURRENT_BUFFER)
		return;

	yy_delete_buffer(YY_CURRENT_BUFFER );
	YY_CURRENT_BUFFER_LVALUE = NULL;
	if ((yy_buffer_stack_top) > 0)
		--(yy_buffer_stack_top);

	if (YY_CURRENT_BUFFER) {
		yy_load_buffer_state(  );
		(yy_did_buffer_switch_on_eof) = 1;
	}
}

/* Allocates the stack if it does not exist.
 *  Guarantees space for at least one push.
 */
static void yyensure_buffer_stack (void)
{
	yy_size_t num_to_alloc;
    
	if (!(yy_buffer_stack)) {

		/* First allocation is just for 2 elements, since we don't know if this
		 * scanner will even need a stack. We use 2 instead of 1 to avoid an
		 * immediate realloc on the next call.
         */
      num_to_alloc = 1; /* After all that talk, this was set to 1 anyways... */
		(yy_buffer_stack) = (struct yy_buffer_state**)yyalloc
								(num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		memset((yy_buffer_stack), 0, num_to_alloc * sizeof(struct yy_buffer_state*));

		(yy_buffer_stack_max) = num_to_alloc;
		(yy_buffer_stack_top) = 0;
		return;
	}

	if ((yy_buffer_stack_top) >= ((yy_buffer_stack_max)) - 1){

		/* Increase the buffer to prepare for a possible push. */
		yy_size_t grow_size = 8 /* arbitrary grow size */;

		num_to_alloc = (yy_buffer_stack_max) + grow_size;
		(yy_buffer_stack) = (struct yy_buffer_state**)yyrealloc
								((yy_buffer_stack),
								num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		/* zero only the new slots.*/
		memset((yy_buffer_stack) + (yy_buffer_stack_max), 0, grow_size * sizeof(struct yy_buffer_state*));
		(yy_buffer_stack_max) = num_to_alloc;
	}
}

/** Setup the input buffer state to scan directly from a user-specified character buffer.
 * @param base the character buffer
 * @param size the size in bytes of the character buffer
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE yy_scan_buffer  (char * base, yy_size_t  size )
{
	YY_BUFFER_STATE b;
    
	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return NULL;

	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_buffer()" );

	b->yy_buf_size = (int) (size - 2);	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = NULL;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	yy_switch_to_buffer( b  );

	return b;
}

/** Setup the input buffer state to scan a string. The next call to yylex() will
 * scan from a @e copy of @a str.
 * @param yystr a NUL-terminated string to scan
 * 
 * @return the newly allocated buffer state object.
 * @note If you want to scan bytes that may contain NUL values, then use
 *       yy_scan_bytes() instead.
 */
YY_BUFFER_STATE yy_scan_string (const char * yystr )
{
    
	return yy_scan_bytes( yystr, (int) strlen(yystr) );
}

/** Setup the input buffer state to scan the given bytes. The next call to yylex() will
 * scan from a @e copy of @a bytes.
 * @param yybytes the byte buffer to scan
 * @param _yybytes_len the number of bytes in the buffer pointed to by @a bytes.
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE yy_scan_bytes  (const char * yybytes, int  _yybytes_len )
{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;
    
	/* Get memory for full buffer, including space for trailing EOB's. */
	n = (yy_size_t) (_yybytes_len + 2);
	buf = (char *) yyalloc( n  );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_bytes()" );

	for ( i = 0; i < _yybytes_len; ++i )
		buf[i] = yybytes[i];

	buf[_yybytes_len] = buf[_yybytes_len+1] = YY_END_OF_BUFFER_CHAR;

	b = yy_scan_buffer( buf, n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in yy_scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
}

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

static void yynoreturn yy_fatal_error (const char* msg )
{
			fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
}

/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		yytext[yyleng] = (yy_hold_char); \
		(yy_c_buf_p) = yytext + yyless_macro_arg; \
		(yy_hold_char) = *(yy_c_buf_p); \
		*(yy_c_buf_p) = '\0'; \
		yyleng = yyless_macro_arg; \
		} \
	while ( 0 )

/* Accessor  methods (get/set functions) to struct members. */

/** Get the current line number.
 * 
 */
int yyget_lineno  (void)
{
    
    return yylineno;
}

/** Get the input stream.
 * 
 */
FILE *yyget_in  (void)
{
        return yyin;
}

/** Get the output stream.
 * 
 */
FILE *yyget_out  (void)
{
        return yyout;
}

/** Get the length of the current token.
 * 
 */
int yyget_leng  (void)
{
        return yyleng;
}

/** Get the current token.
 * 
 */

char *yyget_text  (void)
{
        return yytext;
}

/** Set the current line number.
 * @param _line_number line number
 * 
 */
void yyset_lineno (int  _line_number )
{
    
    yylineno = _line_number;
}

/** Set the input stream. This does not discard the current
 * input buffer.
 * @param _in_str A readable stream.
 * 
 * @see yy_switch_to_buffer
 */
void yyset_in (FILE *  _in_str )
{
        yyin = _in_str ;
}

void yyset_out (FILE *  _out_str )
{
        yyout = _out_str ;
}

int yyget_debug  (void)
{
        return yy_flex_debug;
}

void yyset_debug (int  _bdebug )
{
        yy_flex_debug = _bdebug ;
}

static int yy_init_globals (void)
{
        /* Initialization is the same as for the non-reentrant scanner.
     * This function is called from yylex_destroy(), so don't allocate here.
     */

    /* We do not touch yylineno unless the option is enabled. */
    yylineno =  1;
    
    (yy_buffer_stack) = NULL;
    (yy_buffer_stack_top) = 0;
    (yy_buffer_stack_max) = 0;
    (yy_c_buf_p) = NULL;
    (yy_init) = 0;
    (yy_start) = 0;

/* Defined in main.c */
#ifdef YY_STDINIT
    yyin = stdin;
    yyout = stdout;
#else
    yyin = NULL;
    yyout = NULL;
#endif

    /* For future reference: Set errno on error, since we are called by
     * yylex_init()
     */
    return 0;
}

/* yylex_destroy is for both reentrant and non-reentrant scanners. */
int yylex_destroy  (void)
{
    
    /* Pop the buffer stack, destroying each element. */
	while(YY_CURRENT_BUFFER){
		yy_delete_buffer( YY_CURRENT_BUFFER  );
		YY_CURRENT_BUFFER_LVALUE = NULL;
		yypop_buffer_state();
	}

	/* Destroy the stack itself. */
	yyfree((yy_buffer_stack) );
	(yy_buffer_stack) = NULL;

    /* Reset the globals. This is important in a non-reentrant scanner so the next time
     * yylex() is called, initialization will occur. */
    yy_init_globals( );

    return 0;
}

/*
 * Internal utility routines.
 */

#ifndef yytext_ptr
static void yy_flex_strncpy (char* s1, const char * s2, int n )
{
		
	int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
}
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (const char * s )
{
	int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
}
#endif

void *yyalloc (yy_size_t  size )
{
			return malloc(size);
}

void *yyrealloc  (void * ptr, yy_size_t  size )
{
		
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return realloc(ptr, size);
}

void yyfree (void * ptr )
{
			free( (char *) ptr );	/* see yyrealloc() for (char *) cast */
}

#define YYTABLES_NAME "yytables"

#line 439 "../src/intel/compiler/brw_lex.l"


char *
lex_text(void)
{
        return yytext;
}

#ifndef yywrap
int yywrap()
{
        return -1;
}
#endif

